<?php 

$tabCoefEntraineur = array();
$tabCoefEntraineur['avance'] = 0.97;
$tabCoefEntraineur['superieur'] = 1.00;
$tabCoefEntraineur['exceptionnel'] = 1.03;
$tabCoefEntraineur['classeMondiale'] = 1.06;
$container->setParameter('_TABLEAU_COEF_ENTRAINEUR', $tabCoefEntraineur);

$tabCoefTaille = array();
$tabCoefTaille['509'] = -3;
$tabCoefTaille['510'] = -2;
$tabCoefTaille['511'] = -1;
$tabCoefTaille['600'] = 0;
$tabCoefTaille['601'] = 1;
$tabCoefTaille['602'] = 2;
$tabCoefTaille['603'] = 3;
$tabCoefTaille['604'] = 4;
$tabCoefTaille['605'] = 5;
$tabCoefTaille['606'] = 6;
$tabCoefTaille['607'] = 7;
$tabCoefTaille['608'] = 8;
$tabCoefTaille['609'] = 9;
$tabCoefTaille['610'] = 10;
$tabCoefTaille['611'] = 11;
$tabCoefTaille['700'] = 12;
$tabCoefTaille['701'] = 13;
$tabCoefTaille['702'] = 14;
$tabCoefTaille['703'] = 15;
$tabCoefTaille['704'] = 16;
$tabCoefTaille['705'] = 17;
$tabCoefTaille['706'] = 18;
$container->setParameter('_TABLEAU_COEF_TAILLE', $tabCoefTaille);

$tabCoefAge = array();
$tabCoefAge['18'] = 1;
$tabCoefAge['19'] = 0.95;
$tabCoefAge['20'] = 0.88;
$tabCoefAge['21'] = 0.78;
$tabCoefAge['22'] = 0.70;
$tabCoefAge['23'] = 0.60;
$tabCoefAge['24'] = 0.51;
$tabCoefAge['25'] = 0.42;
$tabCoefAge['26'] = 0.35;
$tabCoefAge['27'] = 0.27;
$tabCoefAge['28'] = 0.21;
$tabCoefAge['29'] = 0.16;
$tabCoefAge['30'] = 0.11;
$tabCoefAge['31'] = 0.7;
$tabCoefAge['32'] = 0.5;
$container->setParameter('_TABLEAU_COEF_AGE', $tabCoefAge);

$tabElasticEffect = array();
$tabElasticEffect['JS']['DR'] = 0.011;
$tabElasticEffect['OD']['HA'] = 0.007;
$tabElasticEffect['HA']['OD'] = 0.050;
$tabElasticEffect['DR']['HA'] = 0.005;
$tabElasticEffect['PA']['HA'] = 0.030;
$tabElasticEffect['IS']['ID'] = 0.001;
$tabElasticEffect['ID']['IS'] = 0.020;
$tabElasticEffect['RB']['IS'] = 0.020;
$tabElasticEffect['RB']['ID'] = 0.010;
$container->setParameter('_TABLEAU_ELASTIC_EFFECT', $tabElasticEffect);

$tabValeurEntrainementTailleMini = array();
//type entrainement => JS_JR_OD_HA_DR_PA_IS_ID_RB_SB
$tabValeurEntrainementTailleMini['BALL HANDLING (PG)'] = '0.00_0.00_0.10_0.70_0.57_0.00_0.00_0.00_0.00_0.00';
$tabValeurEntrainementTailleMini['BALL HANDLING (PG/SG)'] = '0.00_0.00_0.04_0.43_0.24_0.00_0.00_0.00_0.00_0.00';
$tabValeurEntrainementTailleMini['INSIDE DEFENSE (C)'] = '0.00_0.00_0.00_0.00_0.00_0.00_0.03_0.38_0.03_0.08';
$tabValeurEntrainementTailleMini['INSIDE DEFENSE (PF/C)'] = '0.00_0.00_0.00_0.00_0.00_0.00_0.03_0.31_0.00_0.06';
$tabValeurEntrainementTailleMini['INSIDE SCORING (C)'] = '0.03_0.00_0.00_0.00_0.00_0.00_0.39_0.04_0.00_0.00';
$tabValeurEntrainementTailleMini['INSIDE SCORING (PF/C)'] = '0.08_0.00_0.00_0.00_0.00_0.00_0.36_0.00_0.00_0.00';
$tabValeurEntrainementTailleMini['JUMP SHOT (PG/SG)'] = '0.53_0.16_0.00_0.07_0.07_0.00_0.00_0.00_0.00_0.00';
$tabValeurEntrainementTailleMini['JUMP SHOT (SF/PF)'] = '0.36_0.07_0.00_0.00_0.00_0.00_0.30_0.00_0.00_0.00';
$tabValeurEntrainementTailleMini['JUMP SHOT (SG/SF)'] = '0.53_0.16_0.00_0.09_0.08_0.00_0.00_0.00_0.00_0.00';
$tabValeurEntrainementTailleMini['ONE ON ONE (PG/SG)'] = '0.34_0.00_0.00_0.38_0.48_0.00_0.00_0.00_0.00_0.00';
$tabValeurEntrainementTailleMini['ONE ON ONE (SF/PF)'] = '0.18_0.00_0.00_0.43_0.46_0.00_0.27_0.00_0.00_0.00';
$tabValeurEntrainementTailleMini['OUTSIDE SHOOTING (PG/SG)'] = '0.14_0.39_0.00_0.00_0.00_0.00_0.00_0.00_0.00_0.00';
$tabValeurEntrainementTailleMini['OUTSIDE SHOOTING (SG)'] = '0.21_0.62_0.00_0.08_0.07_0.00_0.00_0.00_0.00_0.00';
$tabValeurEntrainementTailleMini['OUTSIDE SHOOTING (SG/SF)'] = '0.14_0.39_0.00_0.00_0.00_0.00_0.00_0.00_0.00_0.00';
$tabValeurEntrainementTailleMini['PASSING (PG)'] = '0.00_0.00_0.00_0.19_0.17_0.66_0.00_0.00_0.00_0.00';
$tabValeurEntrainementTailleMini['PASSING (PG/SG)'] = '0.00_0.00_0.00_0.16_0.12_0.48_0.00_0.00_0.00_0.00';
$tabValeurEntrainementTailleMini['PRESSURE (PG)'] = '0.00_0.00_0.56_0.08_0.07_0.00_0.00_0.13_0.00_0.00';
$tabValeurEntrainementTailleMini['PRESSURE (PG/SG)'] = '0.00_0.00_0.39_0.06_0.00_0.00_0.00_0.11_0.00_0.00';
$tabValeurEntrainementTailleMini['REBOUNDING (PF/C)'] = '0.00_0.00_0.00_0.00_0.00_0.00_0.00_0.05_0.42_0.00';
$tabValeurEntrainementTailleMini['SHOT BLOCKING (C)'] = '0.00_0.00_0.00_0.00_0.00_0.00_0.00_0.14_0.05_0.56';
$tabValeurEntrainementTailleMini['SHOT BLOCKING (PF/C)'] = '0.00_0.00_0.00_0.00_0.00_0.00_0.00_0.10_0.02_0.16';
$container->setParameter('_TABLEAU_VALEUR_ENTRAINEMENT_TAILLE_MINI', $tabValeurEntrainementTailleMini);

$tabValeurEntrainementTailleMaxi = array();
//type entrainement => JS_JR_OD_HA_DR_PA_IS_ID_RB_SB
$tabValeurEntrainementTailleMaxi['BALL HANDLING (PG)'] = '0.00_0.00_0.11_0.52_0.15_0.00_0.00_0.00_0.00_0.00';
$tabValeurEntrainementTailleMaxi['BALL HANDLING (PG/SG)'] = '0.00_0.00_0.10_0.33_0.24_0.00_0.00_0.00_0.00_0.00';
$tabValeurEntrainementTailleMaxi['INSIDE DEFENSE (C)'] = '0.00_0.00_0.00_0.00_0.00_0.00_0.09_0.72_0.00_0.20';
$tabValeurEntrainementTailleMaxi['INSIDE DEFENSE (PF/C)'] = '0.00_0.00_0.00_0.00_0.00_0.00_0.06_0.48_0.00_0.15';
$tabValeurEntrainementTailleMaxi['INSIDE SCORING (C)'] = '0.22_0.00_0.00_0.00_0.00_0.00_0.72_0.06_0.00_0.00';
$tabValeurEntrainementTailleMaxi['INSIDE SCORING (PF/C)'] = '0.12_0.00_0.00_0.00_0.00_0.00_0.46_0.00_0.00_0.00';
$tabValeurEntrainementTailleMaxi['JUMP SHOT (PG/SG)'] = '0.42_0.12_0.00_0.05_0.03_0.00_0.00_0.00_0.00_0.00';
$tabValeurEntrainementTailleMaxi['JUMP SHOT (SF/PF)'] = '0.28_0.06_0.00_0.00_0.00_0.00_0.11_0.00_0.00_0.00';
$tabValeurEntrainementTailleMaxi['JUMP SHOT (SG/SF)'] = '0.36_0.10_0.00_0.01_0.07_0.00_0.00_0.00_0.00_0.00';
$tabValeurEntrainementTailleMaxi['ONE ON ONE (PG/SG)'] = '0.44_0.00_0.00_0.48_0.53_0.00_0.00_0.00_0.00_0.00';
$tabValeurEntrainementTailleMaxi['ONE ON ONE (SF/PF)'] = '0.24_0.00_0.00_0.40_0.66_0.00_0.11_0.00_0.00_0.00';
$tabValeurEntrainementTailleMaxi['OUTSIDE SHOOTING (PG/SG)'] = '0.27_0.20_0.00_0.00_0.00_0.00_0.00_0.00_0.00_0.00';
$tabValeurEntrainementTailleMaxi['OUTSIDE SHOOTING (SG)'] = '0.10_0.30_0.00_0.00_0.05_0.00_0.00_0.00_0.00_0.00';
$tabValeurEntrainementTailleMaxi['OUTSIDE SHOOTING (SG/SF)'] = '0.27_0.21_0.00_0.00_0.00_0.00_0.00_0.00_0.00_0.00';
$tabValeurEntrainementTailleMaxi['PASSING (PG)'] = '0.00_0.00_0.00_0.17_0.21_0.77_0.00_0.00_0.00_0.00';
$tabValeurEntrainementTailleMaxi['PASSING (PG/SG)'] = '0.00_0.00_0.00_0.10_0.07_0.54_0.00_0.00_0.00_0.00';
$tabValeurEntrainementTailleMaxi['PRESSURE (PG)'] = '0.00_0.00_0.33_0.04_0.01_0.00_0.00_0.04_0.00_0.00';
$tabValeurEntrainementTailleMaxi['PRESSURE (PG/SG)'] = '0.00_0.00_0.26_0.03_0.00_0.00_0.00_0.00_0.00_0.00';
$tabValeurEntrainementTailleMaxi['REBOUNDING (PF/C)'] = '0.00_0.00_0.00_0.00_0.00_0.00_0.00_0.05_0.72_0.00';
$tabValeurEntrainementTailleMaxi['SHOT BLOCKING (C)'] = '0.00_0.00_0.00_0.00_0.00_0.00_0.00_0.23_0.11_0.79';
$tabValeurEntrainementTailleMaxi['SHOT BLOCKING (PF/C)'] = '0.00_0.00_0.00_0.00_0.00_0.00_0.00_0.10_0.11_0.66';
$container->setParameter('_TABLEAU_VALEUR_ENTRAINEMENT_TAILLE_MAXI', $tabValeurEntrainementTailleMaxi);

$tabCoefCap = array();
//carac => JS_JR_OD_HA_DR_PA_IS_ID_RB_SB
$tabCoefCap['PG'] = '0.18_0.26_0.30_0.24_0.12_0.52_0.03_0.04_0.20_0.03';
$tabCoefCap['SG'] = '0.45_0.50_0.42_0.05_0.04_0.08_0.03_0.05_0.25_0.03';
$tabCoefCap['SF'] = '0.58_0.34_0.26_0.05_0.03_0.03_0.05_0.25_0.33_0.03';
$tabCoefCap['PF'] = '0.32_0.06_0.07_0.05_0.03_0.02_0.40_0.40_0.40_0.20';
$tabCoefCap['C'] = '0.06_0.08_0.01_0.04_0.03_0.01_0.46_0.46_0.46_0.25';
$container->setParameter('_TABLEAU_COEF_CAP', $tabCoefCap);

$tabCoefSalaire = array();
//carac => JS_JR_OD_HA_DR_PA_IS_ID_RB_SB_Constant
$tabCoefSalaire['PG'] = '0.030_0.039_0.072_0.071_0.036_0.147_0.001_0.001_0.036_0.001_228.0'; //'1.0319_1.0460_1.0728_1.0725_1.0360_1.1515_1.0005_1.0010_1.0361_0.9996_200.0000';
$tabCoefSalaire['SG'] = '0.107_0.121_0.124_0.003_0.002_0.006_0.002_0.002_0.063_0.001_220.7'; //'1.1160_1.1466_1.1268_1.0012_1.0012_1.0019_0.9997_1.0010_1.0623_0.9993_200.0000';
$tabCoefSalaire['SF'] = '0.160_0.071_0.059_0.002_0.002_0.003_0.001_0.057_0.086_0.002_242.9'; //'1.1701_1.0839_1.0614_1.0027_0.9999_1.0007_1.0007_1.0581_1.0896_1.0016_200.0000';
$tabCoefSalaire['PF'] = '0.078_0.001_0.001_0.000_0.001_0.001_0.107_0.107_0.106_0.044_246.6'; //'1.0779_1.0013_1.0002_1.0014_1.0019_1.0003_1.1123_1.1101_1.1099_1.0528_200.0000';
$tabCoefSalaire['C'] =  '0.002_0.001_0.001_0.001_0.001_0.001_0.124_0.125_0.124_0.051_241.9'; //'1.0011_1.0009_1.0001_0.9996_1.0004_1.0007_1.1299_1.1283_1.1281_1.0619_200.0000';
$container->setParameter('_TABLEAU_COEF_SALAIRE', $tabCoefSalaire);
?>
