<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Roster
 *
 * @ORM\Table(name="account_joueur")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\AccountJoueurRepository")
 */
class AccountJoueur
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;
    
    /**
     * @var string
     *
     * @ORM\Column(name="id_account", type="integer", nullable=false)
     */
    private $idAccount;
    
    /**
     * @var string
     *
     * @ORM\Column(name="id_roster", type="integer", nullable=false)
     */
    private $idRoster;
    
    /**
     * @var string
     *
     * @ORM\Column(name="bb_id", type="integer", nullable=false)
     */
    private $bbId;
    
    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }
    
    public function getIdAccount() {
        return $this->idAccount;
    }

    public function setIdAccount($idAccount) {
        $this->idAccount = $idAccount;
    }

    public function getBbId() {
        return $this->bbId;
    }

    public function setBbId($bbId) {
        $this->bbId = $bbId;
    }  
    
    public function getIdRoster() {
        return $this->idRoster;
    }

    public function setIdRoster($idRoster) {
        $this->idRoster = $idRoster;
    }
}
