<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Joueur
 *
 * @ORM\Table(name="account_joueur_carac")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\AccountJoueurCaracRepository")
 * 
 */
class AccountJoueurCarac
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;
        
    /**
     * @var integer
     *
     * @ORM\Column(name="id_account", type="integer", nullable=false)
     */
    private $idAccount;
    
    /**
     * @var string
     *
     * @ORM\Column(name="id_roster", type="integer", nullable=false)
     */
    private $idRoster;
    
    /**
     * @var integer
     *
     * @ORM\Column(name="bb_id", type="integer", nullable=false)
     */
    private $bbId;
    
    /**
     * @var integer
     *
     * @ORM\Column(name="JS", type="integer", nullable=false)
     */
    private $js;

    /**
     * @var integer
     *
     * @ORM\Column(name="PS", type="integer", nullable=false)
     */
    private $ps;

    /**
     * @var integer
     *
     * @ORM\Column(name="DE", type="integer", nullable=false)
     */
    private $de;

    /**
     * @var integer
     *
     * @ORM\Column(name="AGI", type="integer", nullable=false)
     */
    private $agi;

    /**
     * @var integer
     *
     * @ORM\Column(name="DRI", type="integer", nullable=false)
     */
    private $dri;

    /**
     * @var integer
     *
     * @ORM\Column(name="PA", type="integer", nullable=false)
     */
    private $pa;

    /**
     * @var integer
     *
     * @ORM\Column(name="SI", type="integer", nullable=false)
     */
    private $si;

    /**
     * @var integer
     *
     * @ORM\Column(name="DI", type="integer", nullable=false)
     */
    private $di;

    /**
     * @var integer
     *
     * @ORM\Column(name="REB", type="integer", nullable=false)
     */
    private $reb;

    /**
     * @var integer
     *
     * @ORM\Column(name="CO", type="integer", nullable=false)
     */
    private $co;

    /**
     * @var integer
     *
     * @ORM\Column(name="END", type="integer", nullable=false)
     */
    private $end;

    /**
     * @var integer
     *
     * @ORM\Column(name="LF", type="integer", nullable=false)
     */
    private $lf;

    /**
     * @var integer
     *
     * @ORM\Column(name="EXP", type="integer", nullable=false)
     */
    private $exp;
   
    /**
     * @var float
     *
     * @ORM\Column(name="score_ext", type="float", nullable=false)
     */
    private $scoreExt;
    
    /**
     * @var float
     *
     * @ORM\Column(name="score_as", type="float", nullable=false)
     */
    private $scoreAs;
    
    /**
     * @var float
     *
     * @ORM\Column(name="score_int", type="float", nullable=false)
     */
    private $scoreInt;
    
    /**
     * @var text
     *
     * @ORM\Column(name="commentaire", type="text", nullable=true)
     */
    private $commentaire;
    
    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }

    public function getJs() {
        return $this->js;
    }

    public function setJs($js) {
        $this->js = $js;
    }

    public function getPs() {
        return $this->ps;
    }

    public function setPs($ps) {
        $this->ps = $ps;
    }

    public function getDe() {
        return $this->de;
    }

    public function setDe($de) {
        $this->de = $de;
    }

    public function getAgi() {
        return $this->agi;
    }

    public function setAgi($agi) {
        $this->agi = $agi;
    }

    public function getDri() {
        return $this->dri;
    }

    public function setDri($dri) {
        $this->dri = $dri;
    }

    public function getPa() {
        return $this->pa;
    }

    public function setPa($pa) {
        $this->pa = $pa;
    }

    public function getSi() {
        return $this->si;
    }

    public function setSi($si) {
        $this->si = $si;
    }

    public function getDi() {
        return $this->di;
    }

    public function setDi($di) {
        $this->di = $di;
    }

    public function getReb() {
        return $this->reb;
    }

    public function setReb($reb) {
        $this->reb = $reb;
    }

    public function getCo() {
        return $this->co;
    }

    public function setCo($co) {
        $this->co = $co;
    }

    public function getEnd() {
        return $this->end;
    }

    public function setEnd($end) {
        $this->end = $end;
    }

    public function getLf() {
        return $this->lf;
    }

    public function setLf($lf) {
        $this->lf = $lf;
    }

    public function getExp() {
        return $this->exp;
    }

    public function setExp($exp) {
        $this->exp = $exp;
    }
    
    public function getScoreExt() {
        return $this->scoreExt;
    }

    public function setScoreExt($scoreExt) {
        $this->scoreExt = $scoreExt;
    }

    public function getScoreAs() {
        return $this->scoreAs;
    }

    public function setScoreAs($scoreAs) {
        $this->scoreAs = $scoreAs;
    }

    public function getScoreInt() {
        return $this->scoreInt;
    }

    public function setScoreInt($scoreInt) {
        $this->scoreInt = $scoreInt;
    }
    
    public function getIdAccount() {
        return $this->idAccount;
    }

    public function setIdAccount($idAccount) {
        $this->idAccount = $idAccount;
    }

    public function getBbId() {
        return $this->bbId;
    }

    public function setBbId($bbId) {
        $this->bbId = $bbId;
    }
    
    public function getIdRoster() {
        return $this->idRoster;
    }

    public function setIdRoster($idRoster) {
        $this->idRoster = $idRoster;
    }
    
    public function getCommentaire() {
        return $this->commentaire;
    }

    public function setCommentaire($commentaire) {
        $this->commentaire = $commentaire;
    }
}
