<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Roster
 *
 * @ORM\Table(name="chat")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\ChatRepository")
 */
class Chat
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;
    
    /**
     * @var string
     *
     * @ORM\Column(name="id_account", type="integer", nullable=false)
     */
    private $idAccount;
        
    /**
     * @var string
     *
     * @ORM\Column(name="id_account_participant", type="integer", nullable=false)
     */
    private $idAccountParticipant;
    
    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }

    public function getIdAccount() {
        return $this->idAccount;
    }

    public function setIdAccount($idAccount) {
        $this->idAccount = $idAccount;
    }
    
    public function getIdAccountParticipant() {
        return $this->idAccountParticipant;
    }

    public function setIdAccountParticipant($idAccountParticipant) {
        $this->idAccountParticipant = $idAccountParticipant;
    }
}
