<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Roster
 *
 * @ORM\Table(name="chat_message")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\ChatMessageRepository")
 */
class ChatMessage
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;
     
    /**
     * @var integer
     *
     * @ORM\Column(name="id_chat", type="integer", nullable=false)
     */
    private $idChat;
    
    /**
     * @var integer
     *
     * @ORM\Column(name="id_account", type="integer", nullable=false)
     */
    private $idAccount;
    
    /**
     * @var text
     *
     * @ORM\Column(name="message", type="text", nullable=true)
     */
    private $message;
    
    /**
     * @var datetime
     *
     * @ORM\Column(name="date_creation", type="datetime", nullable=false)
     */
    private $dateCreation; 
    
    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }

    public function getIdAccount() {
        return $this->idAccount;
    }

    public function setIdAccount($idAccount) {
        $this->idAccount = $idAccount;
    }
    
    public function getMessage() {
        return $this->message;
    }

    public function setMessage($message) {
        $this->message = $message;
    }
 
    public function getDateCreation() {
        return $this->dateCreation;
    }

    public function setDateCreation($dateCreation) {
        $this->dateCreation = $dateCreation;
    }
    
    public function getIdChat() {
        return $this->idChat;
    }

    public function setIdChat($idChat) {
        $this->idChat = $idChat;
    }
}
