<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Roster
 *
 * @ORM\Table(name="chat_user_online")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\ChatUserOnlineRepository")
 */
class ChatUserOnline
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;
     
    /**
     * @var string
     *
     * @ORM\Column(name="nom_user", type="string", length=250, nullable=false)
     */
    private $nomUser;
        
    /**
     * @var string
     *
     * @ORM\Column(name="adresse_ip", type="string", length=250, nullable=false)
     */
    private $adresseIp;
    
    /**
     * @var datetime
     *
     * @ORM\Column(name="date_derniere_action", type="datetime", nullable=false)
     */
    private $dateDerniereAction; 
    
    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }

    public function getNomUser() {
        return $this->nomUser;
    }

    public function setNomUser($nomUser) {
        $this->nomUser = $nomUser;
    }

    public function getAdresseIp() {
        return $this->adresseIp;
    }

    public function setAdresseIp($adresseIp) {
        $this->adresseIp = $adresseIp;
    }

    public function getDateDerniereAction() {
        return $this->dateDerniereAction;
    }

    public function setDateDerniereAction($dateDerniereAction) {
        $this->dateDerniereAction = $dateDerniereAction;
    }
}
