<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Draft
 *
 * @ORM\Table(name="draft")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\DraftRepository")
 */
class Draft
{
    /**
     * @var integer
     *
     * @ORM\Column(name="numero", type="integer", nullable=false)
     */
    private $numero;

    /**
     * @var string
     *
     * @ORM\Column(name="libelle", type="string", length=255, nullable=false)
     */
    private $libelle;

    /**
     * @var string
     *
     * @ORM\Column(name="lancement_detection", type="string", length=3, nullable=false)
     */
    private $lancementDetection;

    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;



    /**
     * Set numero
     *
     * @param integer $numero
     *
     * @return Draft
     */
    public function setNumero($numero)
    {
        $this->numero = $numero;

        return $this;
    }

    /**
     * Get numero
     *
     * @return integer
     */
    public function getNumero()
    {
        return $this->numero;
    }

    /**
     * Set libelle
     *
     * @param string $libelle
     *
     * @return Draft
     */
    public function setLibelle($libelle)
    {
        $this->libelle = $libelle;

        return $this;
    }

    /**
     * Get libelle
     *
     * @return string
     */
    public function getLibelle()
    {
        return $this->libelle;
    }

    /**
     * Set lancementDetection
     *
     * @param string $lancementDetection
     *
     * @return Draft
     */
    public function setLancementDetection($lancementDetection)
    {
        $this->lancementDetection = $lancementDetection;

        return $this;
    }

    /**
     * Get lancementDetection
     *
     * @return string
     */
    public function getLancementDetection()
    {
        return $this->lancementDetection;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }
    
    public function __toString(){
    	return $this->libelle;
    }
}
