<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Configuration
 *
 * @ORM\Table(name="evolution_forme_dmi")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\EvolutionFormeDmiRepository")
 */
class EvolutionFormeDmi
{
   /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;
    
    /**
     * @var integer
     *
     * @ORM\Column(name="bb_id", type="integer", nullable=false)
     */
    private $bbId;
    
    /**
     * @var integer
     *
     * @ORM\Column(name="forme", type="integer", nullable=false)
     */
    private $forme;
    
     /**
     * @var integer
     *
     * @ORM\Column(name="dmi", type="integer", nullable=false)
     */
    private $dmi;
    
    /**
     * @var datetime
     *
     * @ORM\Column(name="date_maj", type="datetime", nullable=false)
     */
    private $dateMaj;   
    
    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }

    public function getForme() {
        return $this->forme;
    }

    public function setForme($forme) {
        $this->forme = $forme;
    }

    public function getDmi() {
        return $this->dmi;
    }

    public function setDmi($dmi) {
        $this->dmi = $dmi;
    }

    public function getDateMaj() {
        return $this->dateMaj;
    }

    public function setDateMaj($dateMaj) {
        $this->dateMaj = $dateMaj;
    }
    
    public function getBbId() {
        return $this->bbId;
    }

    public function setBbId($bbId) {
        $this->bbId = $bbId;
    }
}
