<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Draft
 *
 * @ORM\Table(name="export_affichage")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\ExportAffichageRepository")
 */
class ExportAffichage
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="entete", type="string", length=5000, nullable=false)
     */
    private $entete;

    /**
     * @var string
     *
     * @ORM\Column(name="colonne", type="string", length=5000, nullable=false)
     */
    private $colonne;
    
    /**
     * @var string
     *
     * @ORM\Column(name="titre", type="string", length=255, nullable=false)
     */
    private $titre;
        
    /**
     * @var string
     *
     * @ORM\Column(name="description", type="string", length=5000, nullable=false)
     */
    private $description;
        
    /**
     * @var string
     *
     * @ORM\Column(name="national_team_actif", type="string", length=3, nullable=false)
     */
    private $nationalTeamActif;
    
    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }

    public function getEntete() {
        return $this->entete;
    }

    public function setEntete($entete) {
        $this->entete = $entete;
    }

    public function getColonne() {
        return $this->colonne;
    }

    public function setColonne($colonne) {
        $this->colonne = $colonne;
    }

    public function getTitre() {
        return $this->titre;
    }

    public function setTitre($titre) {
        $this->titre = $titre;
    }

    public function getDescription() {
        return $this->description;
    }

    public function setDescription($description) {
        $this->description = $description;
    }
    
    public function getNationalTeamActif() {
        return $this->nationalTeamActif;
    }

    public function setNationalTeamActif($nationalTeamActif) {
        $this->nationalTeamActif = $nationalTeamActif;
    }
}
