<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Roster
 *
 * @ORM\Table(name="match_nt")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\MatchNtRepository")
 */
class MatchNt
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;
    
    /**
     * @var string
     *
     * @ORM\Column(name="bb_id", type="string", length=100, nullable=false)
     */
    private $bbId;
    
    /**
     * @var string
     *
     * @ORM\Column(name="away_bb_id", type="string", length=100, nullable=false)
     */
    private $awayBbId;
    
    /**
     * @var string
     *
     * @ORM\Column(name="away_name", type="string", length=100, nullable=false)
     */
    private $awayName;
    
    /**
     * @var string
     *
     * @ORM\Column(name="home_bb_id", type="string", length=100, nullable=false)
     */
    private $homeBbId;
    
    /**
     * @var string
     *
     * @ORM\Column(name="home_name", type="string", length=100, nullable=false)
     */
    private $homeName;
    
    /**
     * @var string
     *
     * @ORM\Column(name="strategy_away_offense", type="string", length=100, nullable=false)
     */
    private $strategyAwayOffense;
    
    /**
     * @var string
     *
     * @ORM\Column(name="strategy_away_defense", type="string", length=100, nullable=false)
     */
    private $strategyAwayDefense;
    
    /**
     * @var string
     *
     * @ORM\Column(name="strategy_home_offense", type="string", length=100, nullable=false)
     */
    private $strategyHomeOffense;
    
    /**
     * @var string
     *
     * @ORM\Column(name="strategy_home_defense", type="string", length=100, nullable=false)
     */
    private $strategyHomeDefense;
    
    /**
     * @var string
     *
     * @ORM\Column(name="pam_away_focus", type="string", length=100, nullable=false)
     */
    private $pamAwayFocus;
   
    /**
     * @var string
     *
     * @ORM\Column(name="pam_away_pace", type="string", length=100, nullable=false)
     */
    private $pamAwayPace;
    
    /**
     * @var string
     *
     * @ORM\Column(name="pam_home_focus", type="string", length=100, nullable=false)
     */
    private $pamHomeFocus;
    
    /**
     * @var string
     *
     * @ORM\Column(name="pam_home_pace", type="string", length=100, nullable=false)
     */
    private $pamHomePace;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_away_ext_lvl", type="string", length=100, nullable=false)
     */
    private $noteAwayExtLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_away_ext_sub_lvl", type="string", length=100, nullable=false)
     */
    private $noteAwayExtSubLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_away_int_lvl", type="string", length=100, nullable=false)
     */
    private $noteAwayIntLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_away_int_sub_lvl", type="string", length=100, nullable=false)
     */
    private $noteAwayIntSubLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_away_de_lvl", type="string", length=100, nullable=false)
     */
    private $noteAwayDeLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_away_de_sub_lvl", type="string", length=100, nullable=false)
     */
    private $noteAwayDeSubLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_away_di_lvl", type="string", length=100, nullable=false)
     */
    private $noteAwayDiLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_away_di_sub_lvl", type="string", length=100, nullable=false)
     */
    private $noteAwayDiSubLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_away_reb_lvl", type="string", length=100, nullable=false)
     */
    private $noteAwayRebLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_away_reb_sub_lvl", type="string", length=100, nullable=false)
     */
    private $noteAwayRebSubLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_away_att_lvl", type="string", length=100, nullable=false)
     */
    private $noteAwayAttLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_away_att_sub_lvl", type="string", length=100, nullable=false)
     */
    private $noteAwayAttSubLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_home_ext_lvl", type="string", length=100, nullable=false)
     */
    private $noteHomeExtLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_home_ext_sub_lvl", type="string", length=100, nullable=false)
     */
    private $noteHomeExtSubLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_home_int_lvl", type="string", length=100, nullable=false)
     */
    private $noteHomeIntLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_home_int_sub_lvl", type="string", length=100, nullable=false)
     */
    private $noteHomeIntSubLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_home_de_lvl", type="string", length=100, nullable=false)
     */
    private $noteHomeDeLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_home_de_sub_lvl", type="string", length=100, nullable=false)
     */
    private $noteHomeDeSubLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_home_di_lvl", type="string", length=100, nullable=false)
     */
    private $noteHomeDiLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_home_di_sub_lvl", type="string", length=100, nullable=false)
     */
    private $noteHomeDiSubLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_home_reb_lvl", type="string", length=100, nullable=false)
     */
    private $noteHomeRebLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_home_reb_sub_lvl", type="string", length=100, nullable=false)
     */
    private $noteHomeRebSubLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_home_att_lvl", type="string", length=100, nullable=false)
     */
    private $noteHomeAttLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="note_home_att_sub_lvl", type="string", length=100, nullable=false)
     */
    private $noteHomeAttSubLvl;
    
    /**
     * @var string
     *
     * @ORM\Column(name="pp100_away_pg", type="string", length=100, nullable=false)
     */
    private $pp100AwayPg;
    
    /**
     * @var string
     *
     * @ORM\Column(name="pp100_away_sg", type="string", length=100, nullable=false)
     */
    private $pp100AwaySg;
    
    /**
     * @var string
     *
     * @ORM\Column(name="pp100_away_sf", type="string", length=100, nullable=false)
     */
    private $pp100AwaySf;
    
    /**
     * @var string
     *
     * @ORM\Column(name="pp100_away_pf", type="string", length=100, nullable=false)
     */
    private $pp100AwayPf;
    
    /**
     * @var string
     *
     * @ORM\Column(name="pp100_away_c", type="string", length=100, nullable=false)
     */
    private $pp100AwayC;
    
    /**
     * @var string
     *
     * @ORM\Column(name="pp100_home_pg", type="string", length=100, nullable=false)
     */
    private $pp100HomePg;
    
    /**
     * @var string
     *
     * @ORM\Column(name="pp100_home_sg", type="string", length=100, nullable=false)
     */
    private $pp100HomeSg;
    
    /**
     * @var string
     *
     * @ORM\Column(name="pp100_home_sf", type="string", length=100, nullable=false)
     */
    private $pp100HomeSf;
    
    /**
     * @var string
     *
     * @ORM\Column(name="pp100_home_pf", type="string", length=100, nullable=false)
     */
    private $pp100HomePf;
    
    /**
     * @var string
     *
     * @ORM\Column(name="pp100_home_c", type="string", length=100, nullable=false)
     */
    private $pp100HomeC;
    
    /**
     * @var string
     *
     * @ORM\Column(name="effort", type="string", length=1000, nullable=true)
     */
    private $effort;
            
    /**
     * @var datetime
     *
     * @ORM\Column(name="date_match", type="datetime", nullable=true)
     */
    private $dateMatch;  

    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }

    public function getBbId() {
        return $this->bbId;
    }

    public function setBbId($bbId) {
        $this->bbId = $bbId;
    }

    public function getAwayBbId() {
        return $this->awayBbId;
    }

    public function setAwayBbId($awayBbId) {
        $this->awayBbId = $awayBbId;
    }

    public function getAwayName() {
        return $this->awayName;
    }

    public function setAwayName($awayName) {
        $this->awayName = $awayName;
    }

    public function getHomeBbId() {
        return $this->homeBbId;
    }

    public function setHomeBbId($homeBbId) {
        $this->homeBbId = $homeBbId;
    }

    public function getHomeName() {
        return $this->homeName;
    }

    public function setHomeName($homeName) {
        $this->homeName = $homeName;
    }

    public function getStrategyAwayOffense() {
        return $this->strategyAwayOffense;
    }

    public function setStrategyAwayOffense($strategyAwayOffense) {
        $this->strategyAwayOffense = $strategyAwayOffense;
    }

    public function getStrategyAwayDefense() {
        return $this->strategyAwayDefense;
    }

    public function setStrategyAwayDefense($strategyAwayDefense) {
        $this->strategyAwayDefense = $strategyAwayDefense;
    }

    public function getStrategyHomeOffense() {
        return $this->strategyHomeOffense;
    }

    public function setStrategyHomeOffense($strategyHomeOffense) {
        $this->strategyHomeOffense = $strategyHomeOffense;
    }

    public function getStrategyHomeDefense() {
        return $this->strategyHomeDefense;
    }

    public function setStrategyHomeDefense($strategyHomeDefense) {
        $this->strategyHomeDefense = $strategyHomeDefense;
    }

    public function getPamAwayFocus() {
        return $this->pamAwayFocus;
    }

    public function setPamAwayFocus($pamAwayFocus) {
        $this->pamAwayFocus = $pamAwayFocus;
    }

    public function getPamAwayPace() {
        return $this->pamAwayPace;
    }

    public function setPamAwayPace($pamAwayPace) {
        $this->pamAwayPace = $pamAwayPace;
    }

    public function getPamHomeFocus() {
        return $this->pamHomeFocus;
    }

    public function setPamHomeFocus($pamHomeFocus) {
        $this->pamHomeFocus = $pamHomeFocus;
    }

    public function getPamHomePace() {
        return $this->pamHomePace;
    }

    public function setPamHomePace($pamHomePace) {
        $this->pamHomePace = $pamHomePace;
    }

    public function getNoteAwayExtLvl() {
        return $this->noteAwayExtLvl;
    }

    public function setNoteAwayExtLvl($noteAwayExtLvl) {
        $this->noteAwayExtLvl = $noteAwayExtLvl;
    }

    public function getNoteAwayExtSubLvl() {
        return $this->noteAwayExtSubLvl;
    }

    public function setNoteAwayExtSubLvl($noteAwayExtSubLvl) {
        $this->noteAwayExtSubLvl = $noteAwayExtSubLvl;
    }

    public function getNoteAwayIntLvl() {
        return $this->noteAwayIntLvl;
    }

    public function setNoteAwayIntLvl($noteAwayIntLvl) {
        $this->noteAwayIntLvl = $noteAwayIntLvl;
    }

    public function getNoteAwayIntSubLvl() {
        return $this->noteAwayIntSubLvl;
    }

    public function setNoteAwayIntSubLvl($noteAwayIntSubLvl) {
        $this->noteAwayIntSubLvl = $noteAwayIntSubLvl;
    }

    public function getNoteAwayDeLvl() {
        return $this->noteAwayDeLvl;
    }

    public function setNoteAwayDeLvl($noteAwayDeLvl) {
        $this->noteAwayDeLvl = $noteAwayDeLvl;
    }

    public function getNoteAwayDeSubLvl() {
        return $this->noteAwayDeSubLvl;
    }

    public function setNoteAwayDeSubLvl($noteAwayDeSubLvl) {
        $this->noteAwayDeSubLvl = $noteAwayDeSubLvl;
    }

    public function getNoteAwayDiLvl() {
        return $this->noteAwayDiLvl;
    }

    public function setNoteAwayDiLvl($noteAwayDiLvl) {
        $this->noteAwayDiLvl = $noteAwayDiLvl;
    }

    public function getNoteAwayDiSubLvl() {
        return $this->noteAwayDiSubLvl;
    }

    public function setNoteAwayDiSubLvl($noteAwayDiSubLvl) {
        $this->noteAwayDiSubLvl = $noteAwayDiSubLvl;
    }

    public function getNoteAwayRebLvl() {
        return $this->noteAwayRebLvl;
    }

    public function setNoteAwayRebLvl($noteAwayRebLvl) {
        $this->noteAwayRebLvl = $noteAwayRebLvl;
    }

    public function getNoteAwayRebSubLvl() {
        return $this->noteAwayRebSubLvl;
    }

    public function setNoteAwayRebSubLvl($noteAwayRebSubLvl) {
        $this->noteAwayRebSubLvl = $noteAwayRebSubLvl;
    }

    public function getNoteAwayAttLvl() {
        return $this->noteAwayAttLvl;
    }

    public function setNoteAwayAttLvl($noteAwayAttLvl) {
        $this->noteAwayAttLvl = $noteAwayAttLvl;
    }

    public function getNoteAwayAttSubLvl() {
        return $this->noteAwayAttSubLvl;
    }

    public function setNoteAwayAttSubLvl($noteAwayAttSubLvl) {
        $this->noteAwayAttSubLvl = $noteAwayAttSubLvl;
    }

    public function getNoteHomeExtLvl() {
        return $this->noteHomeExtLvl;
    }

    public function setNoteHomeExtLvl($noteHomeExtLvl) {
        $this->noteHomeExtLvl = $noteHomeExtLvl;
    }

    public function getNoteHomeExtSubLvl() {
        return $this->noteHomeExtSubLvl;
    }

    public function setNoteHomeExtSubLvl($noteHomeExtSubLvl) {
        $this->noteHomeExtSubLvl = $noteHomeExtSubLvl;
    }

    public function getNoteHomeIntLvl() {
        return $this->noteHomeIntLvl;
    }

    public function setNoteHomeIntLvl($noteHomeIntLvl) {
        $this->noteHomeIntLvl = $noteHomeIntLvl;
    }

    public function getNoteHomeIntSubLvl() {
        return $this->noteHomeIntSubLvl;
    }

    public function setNoteHomeIntSubLvl($noteHomeIntSubLvl) {
        $this->noteHomeIntSubLvl = $noteHomeIntSubLvl;
    }

    public function getNoteHomeDeLvl() {
        return $this->noteHomeDeLvl;
    }

    public function setNoteHomeDeLvl($noteHomeDeLvl) {
        $this->noteHomeDeLvl = $noteHomeDeLvl;
    }

    public function getNoteHomeDeSubLvl() {
        return $this->noteHomeDeSubLvl;
    }

    public function setNoteHomeDeSubLvl($noteHomeDeSubLvl) {
        $this->noteHomeDeSubLvl = $noteHomeDeSubLvl;
    }

    public function getNoteHomeDiLvl() {
        return $this->noteHomeDiLvl;
    }

    public function setNoteHomeDiLvl($noteHomeDiLvl) {
        $this->noteHomeDiLvl = $noteHomeDiLvl;
    }

    public function getNoteHomeDiSubLvl() {
        return $this->noteHomeDiSubLvl;
    }

    public function setNoteHomeDiSubLvl($noteHomeDiSubLvl) {
        $this->noteHomeDiSubLvl = $noteHomeDiSubLvl;
    }

    public function getNoteHomeRebLvl() {
        return $this->noteHomeRebLvl;
    }

    public function setNoteHomeRebLvl($noteHomeRebLvl) {
        $this->noteHomeRebLvl = $noteHomeRebLvl;
    }

    public function getNoteHomeRebSubLvl() {
        return $this->noteHomeRebSubLvl;
    }

    public function setNoteHomeRebSubLvl($noteHomeRebSubLvl) {
        $this->noteHomeRebSubLvl = $noteHomeRebSubLvl;
    }

    public function getNoteHomeAttLvl() {
        return $this->noteHomeAttLvl;
    }

    public function setNoteHomeAttLvl($noteHomeAttLvl) {
        $this->noteHomeAttLvl = $noteHomeAttLvl;
    }

    public function getNoteHomeAttSubLvl() {
        return $this->noteHomeAttSubLvl;
    }

    public function setNoteHomeAttSubLvl($noteHomeAttSubLvl) {
        $this->noteHomeAttSubLvl = $noteHomeAttSubLvl;
    }

    public function getPp100AwayPg() {
        return $this->pp100AwayPg;
    }

    public function setPp100AwayPg($pp100AwayPg) {
        $this->pp100AwayPg = $pp100AwayPg;
    }

    public function getPp100AwaySg() {
        return $this->pp100AwaySg;
    }

    public function setPp100AwaySg($pp100AwaySg) {
        $this->pp100AwaySg = $pp100AwaySg;
    }

    public function getPp100AwaySf() {
        return $this->pp100AwaySf;
    }

    public function setPp100AwaySf($pp100AwaySf) {
        $this->pp100AwaySf = $pp100AwaySf;
    }

    public function getPp100AwayPf() {
        return $this->pp100AwayPf;
    }

    public function setPp100AwayPf($pp100AwayPf) {
        $this->pp100AwayPf = $pp100AwayPf;
    }

    public function getPp100AwayC() {
        return $this->pp100AwayC;
    }

    public function setPp100AwayC($pp100AwayC) {
        $this->pp100AwayC = $pp100AwayC;
    }

    public function getPp100AwayPg_1() {
        return $this->pp100AwayPg;
    }

    public function setPp100AwayPg_1($pp100AwayPg) {
        $this->pp100AwayPg = $pp100AwayPg;
    }

    public function getPp100HomePg() {
        return $this->pp100HomePg;
    }

    public function setPp100HomePg($pp100HomePg) {
        $this->pp100HomePg = $pp100HomePg;
    }

    public function getPp100HomeSg() {
        return $this->pp100HomeSg;
    }

    public function setPp100HomeSg($pp100HomeSg) {
        $this->pp100HomeSg = $pp100HomeSg;
    }

    public function getPp100HomeSf() {
        return $this->pp100HomeSf;
    }

    public function setPp100HomeSf($pp100HomeSf) {
        $this->pp100HomeSf = $pp100HomeSf;
    }

    public function getPp100HomePf() {
        return $this->pp100HomePf;
    }

    public function setPp100HomePf($pp100HomePf) {
        $this->pp100HomePf = $pp100HomePf;
    }

    public function getPp100HomeC() {
        return $this->pp100HomeC;
    }

    public function setPp100HomeC($pp100HomeC) {
        $this->pp100HomeC = $pp100HomeC;
    }

    public function getEffort() {
        return $this->effort;
    }

    public function setEffort($effort) {
        $this->effort = $effort;
    }

    public function getDateMatch() {
        return $this->dateMatch;
    }

    public function setDateMatch($dateMatch) {
        $this->dateMatch = $dateMatch;
    }
}
