<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Roster
 *
 * @ORM\Table(name="match_score")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\MatchScoreRepository")
 */
class MatchScore
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;
    
    /**
     * @var integer
     *
     * @ORM\Column(name="id_match", type="integer", nullable=false)
     */
    private $idMatch;
    
    /**
     * @var integer
     *
     * @ORM\Column(name="periode", type="integer", nullable=false)
     */
    private $periode;
    
    /**
     * @var integer
     *
     * @ORM\Column(name="away_score", type="integer", nullable=false)
     */
    private $awayScore;
    
    /**
     * @var integer
     *
     * @ORM\Column(name="home_score", type="integer", nullable=false)
     */
    private $homeScore;
    
    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }

    public function getIdMatch() {
        return $this->idMatch;
    }

    public function setIdMatch($idMatch) {
        $this->idMatch = $idMatch;
    }

    public function getPeriode() {
        return $this->periode;
    }

    public function setPeriode($periode) {
        $this->periode = $periode;
    }

    public function getAwayScore() {
        return $this->awayScore;
    }

    public function setAwayScore($awayScore) {
        $this->awayScore = $awayScore;
    }

    public function getHomeScore() {
        return $this->homeScore;
    }

    public function setHomeScore($homeScore) {
        $this->homeScore = $homeScore;
    }
}
