<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TranscoPosition
 *
 * @ORM\Table(name="nationalite")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\NationaliteRepository")
 */
class Nationalite
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;
    
    /**
     * @var string
     *
     * @ORM\Column(name="libelle", type="string", length=255, nullable=false)
     */
    private $libelle;

    /**
     * @var integer
     *
     * @ORM\Column(name="bb_id", type="integer", nullable=false)
     */
    private $bbId;
    
    /**
     * @var string
     *
     * @ORM\Column(name="code_pays_iso", type="string", length=255, nullable=false)
     */
    private $codePaysIso;
        
    public function getLibelle() {
        return $this->libelle;
    }

    public function setLibelle($libelle) {
        $this->libelle = $libelle;
    }

    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }
    
    public function __toString(){
    	return $this->libelle;
    }
    
    public function getCodePaysIso() {
        return $this->codePaysIso;
    }

    public function setCodePaysIso($codePaysIso) {
        $this->codePaysIso = $codePaysIso;
    }
    
    public function getBbId() {
        return $this->bbId;
    }

    public function setBbId($bbId) {
        $this->bbId = $bbId;
    }
}
