<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Draft
 *
 * @ORM\Table(name="pays_nb_users")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\PaysNbUsersRepository")
 */
class PaysNbUsers
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;
    
    /**
     * @var string
     *
     * @ORM\Column(name="bb_id", type="integer", nullable=false)
     */
    private $bbId;
    
    /**
     * @var string
     *
     * @ORM\Column(name="nb_user_actifs", type="integer", nullable=false)
     */
    private $nbUserActifs;
    
    /**
     * @var string
     *
     * @ORM\Column(name="nb_user_script", type="integer", nullable=false)
     */
    private $nbUserScript;
    
    /**
     * @var string
     *
     * @ORM\Column(name="date_info", type="string", length=20, nullable=false)
     */
    private $dateInfo;
    
    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }
    
    public function getBbId() {
        return $this->bbId;
    }

    public function setBbId($bbId) {
        $this->bbId = $bbId;
    }

    public function getNbUserActifs() {
        return $this->nbUserActifs;
    }

    public function setNbUserActifs($nbUserActifs) {
        $this->nbUserActifs = $nbUserActifs;
    }

    public function getNbUserScript() {
        return $this->nbUserScript;
    }

    public function setNbUserScript($nbUserScript) {
        $this->nbUserScript = $nbUserScript;
    }

    public function getDateInfo() {
        return $this->dateInfo;
    }

    public function setDateInfo($dateInfo) {
        $this->dateInfo = $dateInfo;
    }
}
