<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Roster
 *
 * @ORM\Table(name="roster_share")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\RosterShareRepository")
 */
class RosterShare
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;
    
    /**
     * @var string
     *
     * @ORM\Column(name="id_roster", type="integer", nullable=false)
     */
    private $idRoster;
    
    /**
     * @var string
     *
     * @ORM\Column(name="id_account_owner", type="integer", nullable=false)
     */
    private $idAccountOwner;

    /**
     * @var string
     *
     * @ORM\Column(name="id_account_share", type="integer", nullable=false)
     */
    private $idAccountShare;
    
    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }
    
    public function getIdAccountOwner() {
        return $this->idAccountOwner;
    }

    public function setIdAccountOwner($idAccountOwner) {
        $this->idAccountOwner = $idAccountOwner;
    }

    public function getIdRoster() {
        return $this->idRoster;
    }

    public function setIdRoster($idRoster) {
        $this->idRoster = $idRoster;
    }
    
    public function getIdAccountShare() {
        return $this->idAccountShare;
    }

    public function setIdAccountShare($idAccountShare) {
        $this->idAccountShare = $idAccountShare;
    }
}
