<?php
namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Roster
 *
 * @ORM\Table(name="training_simulator")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\TrainingSimulatorRepository")
 */
class TrainingSimulator
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="id_account", type="integer", nullable=true)
     */
    private $idAccount;
    
    /**
     * @var string
     *
     * @ORM\Column(name="nom", type="string", length=50, nullable=true)
     */
    private $nom;
    
    /**
     * @var text
     *
     * @ORM\Column(name="clef_ntso", type="text", nullable=false)
     */
    private $clefNtso;
    
    /**
     * @var string
     *
     * @ORM\Column(name="lvl_entraineur", type="string", length=50, nullable=true)
     */
    private $lvlEntraineur;
    
    /**
     * @var string
     *
     * @ORM\Column(name="date_debut_simulation", type="string", length=10, nullable=true)
     */
    private $dateDebutSimulation;  
    
    /**
     * @var datetime
     *
     * @ORM\Column(name="date_creation", type="datetime", nullable=false)
     */
    private $dateCreation;  
    
    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }
    public function setId($id) {
        $this->id = $id;
    }
    
    public function getDateCreation() {
        return $this->dateCreation;
    }

    public function setDateCreation($dateCreation) {
        $this->dateCreation = $dateCreation;
    }
    
    public function getIdAccount() {
        return $this->idAccount;
    }

    public function setIdAccount($idAccount) {
        $this->idAccount = $idAccount;
    }

    public function getNom() {
        return $this->nom;
    }

    public function setNom($nom) {
        $this->nom = $nom;
    }
    
    public function getClefNtso() {
        return $this->clefNtso;
    }

    public function setClefNtso($clefNtso) {
        $this->clefNtso = $clefNtso;
    }
    public function getLvlEntraineur() {
        return $this->lvlEntraineur;
    }

    public function setLvlEntraineur($lvlEntraineur) {
        $this->lvlEntraineur = $lvlEntraineur;
    }
    
    public function getDateDebutSimulation() {
        return $this->dateDebutSimulation;
    }

    public function setDateDebutSimulation($dateDebutSimulation) {
        $this->dateDebutSimulation = $dateDebutSimulation;
    }
}