<?php
namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Roster
 *
 * @ORM\Table(name="training_simulator_calendar")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\TrainingSimulatorCalendarRepository")
 */
class TrainingSimulatorCalendar
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="id_training_simulator", type="integer", nullable=true)
     */
    private $idTrainingSimulator;
    
     /**
     * @var string
     *
     * @ORM\Column(name="saison", type="integer", nullable=false)
     */
    private $saison;
        
    /**
     * @var string
     *
     * @ORM\Column(name="semaine", type="integer", nullable=false)
     */
    private $semaine;
    
    /**
     * @var string
     *
     * @ORM\Column(name="entrainement", type="string", length=50, nullable=false)
     */
    private $entrainement;
    
    /**
     * @var string
     *
     * @ORM\Column(name="joueur_un", type="string", length=3, nullable=false)
     */
    private $joueurUn;

    /**
     * @var string
     *
     * @ORM\Column(name="joueur_deux", type="string", length=3, nullable=false)
     */
    private $joueurDeux;
        
    /**
     * @var string
     *
     * @ORM\Column(name="joueur_trois", type="string", length=3, nullable=false)
     */
    private $joueurTrois;
    
    /**
     * @var string
     *
     * @ORM\Column(name="joueur_quatre", type="string", length=3, nullable=false)
     */
    private $joueurQuatre;
        
    /**
     * @var string
     *
     * @ORM\Column(name="joueur_cinq", type="string", length=3, nullable=false)
     */
    private $joueurCinq;
    
    /**
     * @var string
     *
     * @ORM\Column(name="joueur_six", type="string", length=3, nullable=false)
     */
    private $joueurSix;
    
    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }

    public function getIdTrainingSimulator() {
        return $this->idTrainingSimulator;
    }

    public function setIdTrainingSimulator($idTrainingSimulator) {
        $this->idTrainingSimulator = $idTrainingSimulator;
    }

    public function getSaison() {
        return $this->saison;
    }

    public function setSaison($saison) {
        $this->saison = $saison;
    }

    public function getSemaine() {
        return $this->semaine;
    }

    public function setSemaine($semaine) {
        $this->semaine = $semaine;
    }

    public function getEntrainement() {
        return $this->entrainement;
    }

    public function setEntrainement($entrainement) {
        $this->entrainement = $entrainement;
    }

    public function getJoueurUn() {
        return $this->joueurUn;
    }

    public function setJoueurUn($joueurUn) {
        $this->joueurUn = $joueurUn;
    }

    public function getJoueurDeux() {
        return $this->joueurDeux;
    }

    public function setJoueurDeux($joueurDeux) {
        $this->joueurDeux = $joueurDeux;
    }

    public function getJoueurTrois() {
        return $this->joueurTrois;
    }

    public function setJoueurTrois($joueurTrois) {
        $this->joueurTrois = $joueurTrois;
    }

    public function getJoueurQuatre() {
        return $this->joueurQuatre;
    }

    public function setJoueurQuatre($joueurQuatre) {
        $this->joueurQuatre = $joueurQuatre;
    }

    public function getJoueurCinq() {
        return $this->joueurCinq;
    }

    public function setJoueurCinq($joueurCinq) {
        $this->joueurCinq = $joueurCinq;
    }

    public function getJoueurSix() {
        return $this->joueurSix;
    }

    public function setJoueurSix($joueurSix) {
        $this->joueurSix = $joueurSix;
    }
}