<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TranscoCarac
 *
 * @ORM\Table(name="transco_carac")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\TranscoCaracRepository")
 */
class TranscoCarac
{
    /**
     * @var string
     *
     * @ORM\Column(name="anglais", type="string", length=2, nullable=false)
     */
    private $anglais;

    /**
     * @var string
     *
     * @ORM\Column(name="francais", type="string", length=2, nullable=false)
     */
    private $francais;

    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;



    /**
     * Set anglais
     *
     * @param string $anglais
     *
     * @return TranscoPosition
     */
    public function setAnglais($anglais)
    {
        $this->anglais = $anglais;

        return $this;
    }

    /**
     * Get anglais
     *
     * @return string
     */
    public function getAnglais()
    {
        return $this->anglais;
    }

    /**
     * Set francais
     *
     * @param string $francais
     *
     * @return TranscoPosition
     */
    public function setFrancais($francais)
    {
        $this->francais = $francais;

        return $this;
    }

    /**
     * Get francais
     *
     * @return string
     */
    public function getFrancais()
    {
        return $this->francais;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }
    
    public function __toString(){
    	$retour='';
        if($this->id < 10)
        {
            $retour = '0';
        }
        $retour = $retour.$this->id." - ".$this->anglais;
    	return $retour;
    }
}
