<?php

namespace AppBundle\Repository;

use AppBundle\Entity\MatchNt;
use Doctrine\ORM\EntityRepository;

class MatchNtRepository extends EntityRepository
{
    public function create($tabData,$tabAwayScore,$tabHomeScore,$tabAwayJoueurs,$tabHomeJoueurs)
    {
        $em = $this->getEntityManager();
        
        $unMatch = $em->getRepository('AppBundle:MatchNt')->findOneBy(
            array(
                'bbId'=>$tabData['bbId'],
            ));
        
        if($unMatch)
        {
        }
        else
        {
            $unMatch = new MatchNt();
            $unMatch->setBbId($tabData['bbId']);
            $dateMatch = new \DateTime($tabData['dateMatch']);
            $unMatch->setDateMatch($dateMatch);
            $unMatch->setAwayBbId($tabData['awayBbId']);
            $unMatch->setAwayName($tabData['awayName']);
            $unMatch->setHomeBbId($tabData['homeBbId']);
            $unMatch->setHomeName($tabData['homeName']);
            $unMatch->setStrategyAwayOffense($tabData['strategyAwayOffense']);
            $unMatch->setStrategyAwayDefense($tabData['strategyAwayDefense']);
            $unMatch->setStrategyHomeOffense($tabData['strategyHomeOffense']);
            $unMatch->setStrategyHomeDefense($tabData['strategyHomeDefense']);
            $unMatch->setPamAwayFocus($tabData['pamAwayFocus']);
            $unMatch->setPamAwayPace($tabData['pamAwayPace']);
            $unMatch->setPamHomeFocus($tabData['pamHomeFocus']);
            $unMatch->setPamHomePace($tabData['pamHomePace']);
            $unMatch->setNoteAwayExtLvl($tabData['noteAwayExtLvl']);
            $unMatch->setNoteAwayExtSubLvl($tabData['noteAwayExtSubLvl']);
            $unMatch->setNoteAwayIntLvl($tabData['noteAwayIntLvl']);
            $unMatch->setNoteAwayIntSubLvl($tabData['noteAwayIntSubLvl']);
            $unMatch->setNoteAwayDeLvl($tabData['noteAwayDeLvl']);
            $unMatch->setNoteAwayDeSubLvl($tabData['noteAwayDeSubLvl']);
            $unMatch->setNoteAwayDiLvl($tabData['noteAwayDiLvl']);
            $unMatch->setNoteAwayDiSubLvl($tabData['noteAwayDiSubLvl']);
            $unMatch->setNoteAwayRebLvl($tabData['noteAwayRebLvl']);
            $unMatch->setNoteAwayRebSubLvl($tabData['noteAwayRebSubLvl']);
            $unMatch->setNoteAwayAttLvl($tabData['noteAwayAttLvl']);
            $unMatch->setNoteAwayAttSubLvl($tabData['noteAwayAttSubLvl']);
            $unMatch->setNoteHomeExtLvl($tabData['noteHomeExtLvl']);
            $unMatch->setNoteHomeExtSubLvl($tabData['noteHomeExtSubLvl']);
            $unMatch->setNoteHomeIntLvl($tabData['noteHomeIntLvl']);
            $unMatch->setNoteHomeIntSubLvl($tabData['noteHomeIntSubLvl']);
            $unMatch->setNoteHomeDeLvl($tabData['noteHomeDeLvl']);
            $unMatch->setNoteHomeDeSubLvl($tabData['noteHomeDeSubLvl']);
            $unMatch->setNoteHomeDiLvl($tabData['noteHomeDiLvl']);
            $unMatch->setNoteHomeDiSubLvl($tabData['noteHomeDiSubLvl']);
            $unMatch->setNoteHomeRebLvl($tabData['noteHomeRebLvl']);
            $unMatch->setNoteHomeRebSubLvl($tabData['noteHomeRebSubLvl']);
            $unMatch->setNoteHomeAttLvl($tabData['noteHomeAttLvl']);
            $unMatch->setNoteHomeAttSubLvl($tabData['noteHomeAttSubLvl']);
            $unMatch->setPp100AwayPg($tabData['pp100AwayPg']);
            $unMatch->setPp100AwaySg($tabData['pp100AwaySg']);
            $unMatch->setPp100AwaySf($tabData['pp100AwaySf']);
            $unMatch->setPp100AwayPf($tabData['pp100AwayPf']);
            $unMatch->setPp100AwayC($tabData['pp100AwayC']);
            $unMatch->setPp100HomePg($tabData['pp100HomePg']);
            $unMatch->setPp100HomeSg($tabData['pp100HomeSg']);
            $unMatch->setPp100HomeSf($tabData['pp100HomeSf']);
            $unMatch->setPp100HomePf($tabData['pp100HomePf']);
            $unMatch->setPp100HomeC($tabData['pp100HomeC']);
            $unMatch->setEffort($tabData['effort']);
            $em->persist($unMatch);
            $em->flush();
            
            foreach($tabAwayScore as $periode => $awayScore)
            {
                $homeScore = $tabHomeScore[$periode];
                $unScore = $em->getRepository('AppBundle:MatchScore')->create($unMatch,$periode,$awayScore,$homeScore);
            }
            
            $teamId = $tabData['awayBbId'];
            foreach($tabAwayJoueurs as $unObjJoueur)
            {
                $unJoueur = $em->getRepository('AppBundle:MatchJoueur')->create($unMatch,$teamId,'away',$unObjJoueur);
            }

            $teamId = $tabData['homeBbId'];
            foreach($tabHomeJoueurs as $unObjJoueur)
            {
                $unJoueur = $em->getRepository('AppBundle:MatchJoueur')->create($unMatch,$teamId,'home',$unObjJoueur);
            }
        }
        
        return $unMatch;
    }   
}