<?php

namespace AppBundle\Repository;

use AppBundle\Entity\TrainingSimulatorPlayer;
use Doctrine\ORM\EntityRepository;

class TrainingSimulatorPlayerRepository extends EntityRepository
{
    public function addPlayers($tabJoueurs,$unTrainingSimulator)
    {
        $em = $this->getEntityManager();
        
        if(count($tabJoueurs) > 0)
        {
            foreach($tabJoueurs as $unJoueur)
            {
                $unTrainingSimulatorPlayer = new TrainingSimulatorPlayer();
                $unTrainingSimulatorPlayer->setIdTrainingSimulator($unTrainingSimulator->getId());
                $unTrainingSimulatorPlayer->setIndice($unJoueur['indice']);
                $unTrainingSimulatorPlayer->setNom($unJoueur['nom']);
                $unTrainingSimulatorPlayer->setJs($unJoueur['js']);
                $unTrainingSimulatorPlayer->setPs($unJoueur['jr']);
                $unTrainingSimulatorPlayer->setDe($unJoueur['od']);
                $unTrainingSimulatorPlayer->setAgi($unJoueur['ha']);
                $unTrainingSimulatorPlayer->setDri($unJoueur['dr']);
                $unTrainingSimulatorPlayer->setPa($unJoueur['pa']);
                $unTrainingSimulatorPlayer->setSi($unJoueur['is']);
                $unTrainingSimulatorPlayer->setDi($unJoueur['id']);
                $unTrainingSimulatorPlayer->setReb($unJoueur['rb']);
                $unTrainingSimulatorPlayer->setCo($unJoueur['sb']);
                $unTrainingSimulatorPlayer->setAge($unJoueur['age']);
                $unTrainingSimulatorPlayer->setTaille($unJoueur['taille']);            
                $unTrainingSimulatorPlayer->setPotentiel($unJoueur['potentiel']);    
                $em->persist($unTrainingSimulatorPlayer);
                $em->flush();
            }
        }
    }
    
    public function removePlayers($unTrainingSimulator)
    {
        $em = $this->getEntityManager();
        
        $tabTrainingSimulatorPlayer = $em->getRepository('AppBundle:TrainingSimulatorPlayer')->findBy(
            array(
                'idTrainingSimulator'=>$unTrainingSimulator->getId(),
            ));
        foreach($tabTrainingSimulatorPlayer as $unTrainingSimulatorPlayer)
        {
            $em->remove($unTrainingSimulatorPlayer);
            $em->flush();
        }
    }
    
    public function getPlayers($unTrainingSimulator)
    {
        $em = $this->getEntityManager();
        
        $tabTrainingSimulatorPlayer = $em->getRepository('AppBundle:TrainingSimulatorPlayer')->findBy(
            array(
                'idTrainingSimulator'=>$unTrainingSimulator->getId(),
            ));
        
        $tabRetour = array();
        foreach($tabTrainingSimulatorPlayer as $unTrainingSimulatorPlayer)
        {
            $tabCarac = array();
            $tabCarac['indice'] = $unTrainingSimulatorPlayer->getIndice();
            $tabCarac['nom'] = $unTrainingSimulatorPlayer->getNom();
            $tabCarac['js'] = $unTrainingSimulatorPlayer->getJs();
            if($tabCarac['js'] == 0){$tabCarac['js'] = '';}
            $tabCarac['jr'] = $unTrainingSimulatorPlayer->getPs();
            if($tabCarac['jr'] == 0){$tabCarac['jr'] = '';}
            $tabCarac['od'] = $unTrainingSimulatorPlayer->getDe();
            if($tabCarac['od'] == 0){$tabCarac['od'] = '';}
            $tabCarac['ha'] = $unTrainingSimulatorPlayer->getAgi();
            if($tabCarac['ha'] == 0){$tabCarac['ha'] = '';}
            $tabCarac['dr'] = $unTrainingSimulatorPlayer->getDri();
            if($tabCarac['dr'] == 0){$tabCarac['dr'] = '';}
            $tabCarac['pa'] = $unTrainingSimulatorPlayer->getPa();
            if($tabCarac['pa'] == 0){$tabCarac['pa'] = '';}
            $tabCarac['is'] = $unTrainingSimulatorPlayer->getSi();
            if($tabCarac['is'] == 0){$tabCarac['is'] = '';}
            $tabCarac['id'] = $unTrainingSimulatorPlayer->getDi();
            if($tabCarac['id'] == 0){$tabCarac['id'] = '';}
            $tabCarac['rb'] = $unTrainingSimulatorPlayer->getReb();
            if($tabCarac['rb'] == 0){$tabCarac['rb'] = '';}
            $tabCarac['sb'] = $unTrainingSimulatorPlayer->getCo();
            if($tabCarac['sb'] == 0){$tabCarac['sb'] = '';}
            $tabCarac['age'] = $unTrainingSimulatorPlayer->getAge();
            if($tabCarac['age'] == 0){$tabCarac['age'] = '';}
            $tabCarac['taille'] = $unTrainingSimulatorPlayer->getTaille();  
            if($tabCarac['taille'] == 0){$tabCarac['taille'] = '';}
            $tabCarac['potentiel'] = $unTrainingSimulatorPlayer->getPotentiel();  
            if($tabCarac['potentiel'] == 0){$tabCarac['potentiel'] = '';}
            $tabRetour[] = $tabCarac;
        }
        
        return $tabRetour;
    }
}