<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Roster
 *
 * @ORM\Table(name="account_joueur_minutes")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\AccountJoueurMinutesRepository")
 */
class AccountJoueurMinutes
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;
    
    /**
     * @var integer
     *
     * @ORM\Column(name="bb_id", type="integer", nullable=false)
     */
    private $bbId;
    
    /**
     * @var integer
     *
     * @ORM\Column(name="id_match", type="integer", nullable=false)
     */
    private $idMatch;
    
    /**
     * @var date
     *
     * @ORM\Column(name="date_match", type="date", nullable=false)
     */
    private $dateMatch;
    
    /**
     * @var string
     *
     * @ORM\Column(name="type_match", type="string", length=20, nullable=false)
     */
    private $typeMatch;
    	 
    /**
     * @var integer
     *
     * @ORM\Column(name="min_m", type="integer", nullable=false)
     */
    private $minM;
    
    /**
     * @var integer
     *
     * @ORM\Column(name="min_ar", type="integer", nullable=false)
     */
    private $minAR;
    
    /**
     * @var integer
     *
     * @ORM\Column(name="min_as", type="integer", nullable=false)
     */
    private $minAS;
    
    /**
     * @var integer
     *
     * @ORM\Column(name="min_af", type="integer", nullable=false)
     */
    private $minAF;
    
    /**
     * @var integer
     *
     * @ORM\Column(name="min_p", type="integer", nullable=false)
     */
    private $minP;
    
    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }

    public function getBbId() {
        return $this->bbId;
    }

    public function setBbId($bbId) {
        $this->bbId = $bbId;
    }

    public function getIdMatch() {
        return $this->idMatch;
    }

    public function setIdMatch($idMatch) {
        $this->idMatch = $idMatch;
    }

    public function getDateMatch() {
        return $this->dateMatch;
    }

    public function setDateMatch($dateMatch) {
        $this->dateMatch = $dateMatch;
    }

    public function getTypeMatch() {
        return $this->typeMatch;
    }

    public function setTypeMatch($typeMatch) {
        $this->typeMatch = $typeMatch;
    }

    public function getMinM() {
        return $this->minM;
    }

    public function setMinM($minM) {
        $this->minM = $minM;
    }

    public function getMinAR() {
        return $this->minAR;
    }

    public function setMinAR($minAR) {
        $this->minAR = $minAR;
    }

    public function getMinAS() {
        return $this->minAS;
    }

    public function setMinAS($minAS) {
        $this->minAS = $minAS;
    }

    public function getMinAF() {
        return $this->minAF;
    }

    public function setMinAF($minAF) {
        $this->minAF = $minAF;
    }

    public function getMinP() {
        return $this->minP;
    }

    public function setMinP($minP) {
        $this->minP = $minP;
    }
}
