<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Configuration
 *
 * @ORM\Table(name="configuration")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\ConfigurationRepository")
 */
class Configuration
{
    /**
     * @var string
     *
     * @ORM\Column(name="id_param", type="string", length=20, nullable=false)
     */
    private $idParam;

    /**
     * @var string
     *
     * @ORM\Column(name="val_param", type="string", length=255, nullable=false)
     */
    private $valParam;

    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    public function getIdParam() {
        return $this->idParam;
    }

    public function setIdParam($idParam) {
        $this->idParam = $idParam;
    }

    public function getValParam() {
        return $this->valParam;
    }

    public function setValParam($valParam) {
        $this->valParam = $valParam;
    }

    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }
}
