<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Joueur
 *
 * @ORM\Table(name="joueur_carac")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\JoueurCaracRepository")
 * 
 */
class JoueurCarac
{
    /**
     * @var integer
     *
     * @ORM\Column(name="bb_id", type="integer", nullable=false)
     * @ORM\Id
     */
    private $bbId;
    
    /**
     * @var datetime
     *
     * @ORM\Column(name="date_maj", type="datetime", nullable=false)
     * @ORM\Id
     */
    private $dateMaj;  
    
    /**
     * @var integer
     *
     * @ORM\Column(name="JS", type="integer", nullable=false)
     */
    private $js;

    /**
     * @var integer
     *
     * @ORM\Column(name="PS", type="integer", nullable=false)
     */
    private $ps;

    /**
     * @var integer
     *
     * @ORM\Column(name="DE", type="integer", nullable=false)
     */
    private $de;

    /**
     * @var integer
     *
     * @ORM\Column(name="AGI", type="integer", nullable=false)
     */
    private $agi;

    /**
     * @var integer
     *
     * @ORM\Column(name="DRI", type="integer", nullable=false)
     */
    private $dri;

    /**
     * @var integer
     *
     * @ORM\Column(name="PA", type="integer", nullable=false)
     */
    private $pa;

    /**
     * @var integer
     *
     * @ORM\Column(name="SI", type="integer", nullable=false)
     */
    private $si;

    /**
     * @var integer
     *
     * @ORM\Column(name="DI", type="integer", nullable=false)
     */
    private $di;

    /**
     * @var integer
     *
     * @ORM\Column(name="REB", type="integer", nullable=false)
     */
    private $reb;

    /**
     * @var integer
     *
     * @ORM\Column(name="CO", type="integer", nullable=false)
     */
    private $co;

    /**
     * @var integer
     *
     * @ORM\Column(name="END", type="integer", nullable=false)
     */
    private $end;

    /**
     * @var integer
     *
     * @ORM\Column(name="LF", type="integer", nullable=false)
     */
    private $lf;

    /**
     * @var integer
     *
     * @ORM\Column(name="EXP", type="integer", nullable=false)
     */
    private $exp;
   
    public function getBbId() {
        return $this->bbId;
    }

    public function setBbId($bbId) {
        $this->bbId = $bbId;
    }

    public function getDateMaj() {
        return $this->dateMaj;
    }

    public function setDateMaj($dateMaj) {
        $this->dateMaj = $dateMaj;
    }

    public function getJs() {
        return $this->js;
    }

    public function setJs($js) {
        $this->js = $js;
    }

    public function getPs() {
        return $this->ps;
    }

    public function setPs($ps) {
        $this->ps = $ps;
    }

    public function getDe() {
        return $this->de;
    }

    public function setDe($de) {
        $this->de = $de;
    }

    public function getAgi() {
        return $this->agi;
    }

    public function setAgi($agi) {
        $this->agi = $agi;
    }

    public function getDri() {
        return $this->dri;
    }

    public function setDri($dri) {
        $this->dri = $dri;
    }

    public function getPa() {
        return $this->pa;
    }

    public function setPa($pa) {
        $this->pa = $pa;
    }

    public function getSi() {
        return $this->si;
    }

    public function setSi($si) {
        $this->si = $si;
    }

    public function getDi() {
        return $this->di;
    }

    public function setDi($di) {
        $this->di = $di;
    }

    public function getReb() {
        return $this->reb;
    }

    public function setReb($reb) {
        $this->reb = $reb;
    }

    public function getCo() {
        return $this->co;
    }

    public function setCo($co) {
        $this->co = $co;
    }

    public function getEnd() {
        return $this->end;
    }

    public function setEnd($end) {
        $this->end = $end;
    }

    public function getLf() {
        return $this->lf;
    }

    public function setLf($lf) {
        $this->lf = $lf;
    }

    public function getExp() {
        return $this->exp;
    }

    public function setExp($exp) {
        $this->exp = $exp;
    }
}
