<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Configuration
 *
 * @ORM\Table(name="recherche")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\RechercheRepository")
 */
class Recherche
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var datetime
     *
     * @ORM\Column(name="date_recherche", type="datetime", nullable=false)
     */
    private $dateRecherche;  
    
    /**
     * @var string
     *
     * @ORM\Column(name="criteres_noms", type="string", length=500, nullable=false)
     */
    private $criteresNoms;

    /**
     * @var string
     *
     * @ORM\Column(name="criteres_valeurs", type="string", length=500, nullable=false)
     */
    private $criteresValeurs;
    
    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }

    public function getDateRecherche() {
        return $this->dateRecherche;
    }

    public function setDateRecherche($dateRecherche) {
        $this->dateRecherche = $dateRecherche;
    }

    public function getCriteresNoms() {
        return $this->criteresNoms;
    }

    public function setCriteresNoms($criteresNoms) {
        $this->criteresNoms = $criteresNoms;
    }
    public function getCriteresValeurs() {
        return $this->criteresValeurs;
    }

    public function setCriteresValeurs($criteresValeurs) {
        $this->criteresValeurs = $criteresValeurs;
    }   
}
