<?php
namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Roster
 *
 * @ORM\Table(name="training_simulator_player")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\TrainingSimulatorPlayerRepository")
 */
class TrainingSimulatorPlayer
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="id_training_simulator", type="integer", nullable=true)
     */
    private $idTrainingSimulator;
    
     /**
     * @var string
     *
     * @ORM\Column(name="indice", type="integer", nullable=false)
     */
    private $indice;
        
    /**
     * @var string
     *
     * @ORM\Column(name="nom", type="string", length=50, nullable=false)
     */
    private $nom;
    
    /**
     * @var integer
     *
     * @ORM\Column(name="JS", type="decimal", nullable=true)
     */
    private $js;

    /**
     * @var integer
     *
     * @ORM\Column(name="PS", type="decimal", nullable=true)
     */
    private $ps;

    /**
     * @var integer
     *
     * @ORM\Column(name="DE", type="decimal", nullable=true)
     */
    private $de;

    /**
     * @var integer
     *
     * @ORM\Column(name="AGI", type="decimal", nullable=true)
     */
    private $agi;

    /**
     * @var integer
     *
     * @ORM\Column(name="DRI", type="decimal", nullable=true)
     */
    private $dri;

    /**
     * @var integer
     *
     * @ORM\Column(name="PA", type="decimal", nullable=true)
     */
    private $pa;

    /**
     * @var integer
     *
     * @ORM\Column(name="SI", type="decimal", nullable=true)
     */
    private $si;

    /**
     * @var integer
     *
     * @ORM\Column(name="DI", type="decimal", nullable=true)
     */
    private $di;

    /**
     * @var integer
     *
     * @ORM\Column(name="REB", type="integer", nullable=true)
     */
    private $reb;

    /**
     * @var integer
     *
     * @ORM\Column(name="CO", type="decimal", nullable=true)
     */
    private $co;
    
    /**
     * @var integer
     *
     * @ORM\Column(name="age", type="integer", nullable=true)
     */
    private $age;

    /**
     * @var integer
     *
     * @ORM\Column(name="taille", type="integer", nullable=true)
     */
    private $taille; 
    
    /**
     * @var integer
     *
     * @ORM\Column(name="potentiel", type="integer", nullable=true)
     */
    private $potentiel; 
    
    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }

    public function getIdTrainingSimulator() {
        return $this->idTrainingSimulator;
    }

    public function setIdTrainingSimulator($idTrainingSimulator) {
        $this->idTrainingSimulator = $idTrainingSimulator;
    }

    public function getIndice() {
        return $this->indice;
    }

    public function setIndice($indice) {
        $this->indice = $indice;
    }

    public function getNom() {
        return $this->nom;
    }

    public function setNom($nom) {
        $this->nom = $nom;
    }

    public function getJs() {
        return $this->js;
    }

    public function setJs($js) {
        $this->js = $js;
    }

    public function getPs() {
        return $this->ps;
    }

    public function setPs($ps) {
        $this->ps = $ps;
    }

    public function getDe() {
        return $this->de;
    }

    public function setDe($de) {
        $this->de = $de;
    }

    public function getAgi() {
        return $this->agi;
    }

    public function setAgi($agi) {
        $this->agi = $agi;
    }

    public function getDri() {
        return $this->dri;
    }

    public function setDri($dri) {
        $this->dri = $dri;
    }

    public function getPa() {
        return $this->pa;
    }

    public function setPa($pa) {
        $this->pa = $pa;
    }

    public function getSi() {
        return $this->si;
    }

    public function setSi($si) {
        $this->si = $si;
    }

    public function getDi() {
        return $this->di;
    }

    public function setDi($di) {
        $this->di = $di;
    }

    public function getReb() {
        return $this->reb;
    }

    public function setReb($reb) {
        $this->reb = $reb;
    }

    public function getCo() {
        return $this->co;
    }

    public function setCo($co) {
        $this->co = $co;
    }

    public function getAge() {
        return $this->age;
    }

    public function setAge($age) {
        $this->age = $age;
    }

    public function getTaille() {
        return $this->taille;
    }

    public function setTaille($taille) {
        $this->taille = $taille;
    }
    
    public function getPotentiel() {
        return $this->potentiel;
    }

    public function setPotentiel($potentiel) {
        $this->potentiel = $potentiel;
    }
}