<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TranscoPotentiel
 *
 * @ORM\Table(name="transco_potentiel")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\TranscoPotentielRepository")y
 */
class TranscoPotentiel
{
    /**
     * @var string
     *
     * @ORM\Column(name="anglais", type="string", length=2, nullable=false)
     */
    private $anglais;

    /**
     * @var string
     *
     * @ORM\Column(name="francais", type="string", length=2, nullable=false)
     */
    private $francais;

    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    public function getAnglais() {
        return $this->anglais;
    }

    public function setAnglais($anglais) {
        $this->anglais = $anglais;
    }

    public function getFrancais() {
        return $this->francais;
    }

    public function setFrancais($francais) {
        $this->francais = $francais;
    }

    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }
    
    public function __toString(){
        $retour='';
        if($this->id < 10)
        {
            $retour = '0';
        }
        $retour = $retour.$this->id." - ".$this->anglais;
    	return $retour;
    }
}
