<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TranscoTaille
 *
 * @ORM\Table(name="transco_taille")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\TranscoTailleRepository")
 */
class TranscoTaille
{
    /**
     * @var integer
     *
     * @ORM\Column(name="bbapi", type="integer", nullable=false)
     */
    private $bbapi;

    /**
     * @var integer
     *
     * @ORM\Column(name="anglais", type="integer", nullable=false)
     */
    private $anglais;

    /**
     * @var integer
     *
     * @ORM\Column(name="francais", type="integer", nullable=false)
     */
    private $francais;

    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;



    /**
     * Set bbapi
     *
     * @param integer $bbapi
     *
     * @return TranscoTaille
     */
    public function setBbapi($bbapi)
    {
        $this->bbapi = $bbapi;

        return $this;
    }

    /**
     * Get bbapi
     *
     * @return integer
     */
    public function getBbapi()
    {
        return $this->bbapi;
    }

    /**
     * Set anglais
     *
     * @param integer $anglais
     *
     * @return TranscoTaille
     */
    public function setAnglais($anglais)
    {
        $this->anglais = $anglais;

        return $this;
    }

    /**
     * Get anglais
     *
     * @return integer
     */
    public function getAnglais()
    {
        return $this->anglais;
    }

    /**
     * Set francais
     *
     * @param integer $francais
     *
     * @return TranscoTaille
     */
    public function setFrancais($francais)
    {
        $this->francais = $francais;

        return $this;
    }

    /**
     * Get francais
     *
     * @return integer
     */
    public function getFrancais()
    {
        return $this->francais;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }
    
    public function __toString(){
    	return substr($this->anglais, 0, 1)."'".substr($this->anglais, 1, 2)."'' / ".$this->francais." cm";
    }
}
