<?php

namespace AppBundle\Repository;

use AppBundle\Entity\Bug;

use Doctrine\ORM\EntityRepository;

class BugRepository extends EntityRepository
{
    public function send($user,$description)
    {
        $em = $this->getEntityManager();
        $account = $em->getRepository('AppBundle:Account')->infoAccount($user);
        $unBug = new Bug();
        $unBug->setIdAccount($account->getId());
        $dateCreation = new \DateTime();
        $unBug->setDateCreation($dateCreation);
        $unBug->setDescription($description);
        $em->persist($unBug);
        $em->flush();
    }
}