<?php

namespace AppBundle\Repository;

use Doctrine\ORM\EntityRepository;

class EvolutionFormeDmiRepository extends EntityRepository
{
    public function getForme($bbId,$dateMatch)
    {
        $em = $this->getEntityManager();
        
        $requete = 'SELECT e.forme FROM AppBundle:EvolutionFormeDmi e WHERE e.bbId = :bbId AND e.dateMaj < :dateMatch ORDER BY e.dateMaj DESC';
        $query = $em->createQuery($requete);
        $parameters = array();
        $parameters['bbId'] = $bbId;
        $parameters['dateMatch'] = $dateMatch;
        $query->setParameters($parameters);
        $tabFormes = $query->getResult();

        $forme = 0;
        if(count($tabFormes) > 0)
        {
            $forme = $tabFormes[0]['forme'];
        }

        return $forme;
    }
}