<?
	function recherche($ligne,$cherche)
	{
		$pos = strpos($ligne, $cherche);
		if($pos === false)
		{
			$trouve = 'non';
		}
		else
		{
			$trouve = 'oui';
		}
		return $trouve;
	}

	function sautLigne($nbLigne,$fichier)
	{
		for($i=1;$i<=$nbLigne;$i++)
		{
			$ligne = fgets($fichier);
		}
		return $ligne;
	}

	function determineValeurScore($ligne)
	{
		$ligneVal = substr($ligne, strpos($ligne, "Nomenclature")+14, strpos($ligne, "</a>")-strlen($ligne));
		$tabLigneVal = explode(' ',$ligneVal);
		$level = $tabLigneVal[0];
		$subLevel = str_replace('(', '',$tabLigneVal[1]);
		$subLevel = str_replace(')', '',$subLevel);

		$tabRetour = array();
		$level = transcoNote($level);
		$tabRetour[] = $level;
		$tabRetour[] = $subLevel;

		return $tabRetour;
	}

	function transcoNote($txtNote)
	{
		$tab = array();
		$tab['atrocious'] = 1;
		$tab['pitiful'] = 2;
		$tab['awful'] = 3;
		$tab['inept'] = 4;
		$tab['mediocre'] = 5;
		$tab['average'] = 6;
		$tab['respectable'] = 7;
		$tab['strong'] = 8;
		$tab['proficient'] = 9;
		$tab['prominent'] = 10;
		$tab['prolific'] = 11;
		$tab['sensational'] = 12;
		$tab['tremendous'] = 13;
		$tab['wondrous'] = 14;
		$tab['marvelous'] = 15;
		$tab['prodigious'] = 16;
		$tab['stupendous'] = 17;
		$tab['phenomenal'] = 18;
		$tab['colossal'] = 19;
		$tab['legendary'] = 20;

		return $tab[$txtNote];
	}

	//include('../Dba/connexion.php');

	$idMatch = $_GET['idMatch'];
	$modeDebug = $_GET['modeDebug'];

	$url = "http://buzzerbeater.com/match/".$idMatch."/boxscore.aspx";
	$result = file_get_contents($url);

	if($modeDebug == 'oui')
	{
		print_r($result);
	}

	$monFichier = fopen('match_'.$idMatch.'.txt', 'a');
	fputs($monFichier, $result);
	fclose($monFichier);

	$monFichier = fopen('match_'.$idMatch.'.txt','r');

	$tabTdStats = array('Minutes','FG','3pts','FT','PlusMinus','OffReb','TotReb','Assists','TO','Steals','Blocks','Fouls','Points','Rating');
	foreach($tabTdStats as $id => $value)
	{
		$arrayName = 'tab'.$value.'Away';
		$$arrayName = array();
		$arrayName = 'tab'.$value.'Home';
		$$arrayName = array();
	}
		
	$tabJoueursAway = array();
	$tabPositionAway = array();
	$tabNameAway = array();
	$tabJoueursHome = array();
	$tabPositionHome = array();
	$tabNameHome = array();
	$tabScoresAway = array();
	$tabScoresHome = array();

	$nbOt = 0;
	
	while (!feof($monFichier))
	{
		$ligne = fgets($monFichier);
		//echo $ligne;

		$cherche = '<head><title>';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$ligne = sautLigne(1,$monFichier);
			$tabDate = explode('|',trim($ligne));
			$dateMatch = preg_replace("/[^0-9-\/]/", "", $tabDate[2]);
		}

		$cherche = '1OT';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$nbOt = $nbOt + 1;
		}

		$cherche = '2OT';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$nbOt = $nbOt + 1;
		}

		$cherche = '3OT';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$nbOt = $nbOt + 1;
		}

		$cherche = '4OT';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$nbOt = $nbOt + 1;
		}

		$cherche = '5OT';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$nbOt = $nbOt + 1;
		}

		$cherche = '6OT';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$nbOt = $nbOt + 1;
		}

		$cherche = '7OT'; 
		if(recherche($ligne,$cherche) == 'oui')
		{
			$nbOt = $nbOt + 1;
		}
	
		$cherche = '8OT';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$nbOt = $nbOt + 1;
		}

		$cherche = '9OT';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$nbOt = $nbOt + 1;
		}
		$cherche = 'ctl00_cphContent_bsResult_hlAwayTeamLink';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$teamAwayId = trim(substr($ligne, strpos($ligne, "y/")+2, strpos($ligne, "/overview")-strlen($ligne)));
			$teamAwayId = preg_replace("/[^0-9]/", "", $teamAwayId);		
			$teamAwayName = trim(substr($ligne, strpos($ligne, '">')+2, strpos($ligne, "</a>")-strlen($ligne)));
			$teamAwayName = str_replace(" ","",$teamAwayName);

			for($i=1;$i<=4;$i++)
			{
				$ligne = sautLigne(4,$monFichier);
				$tabScoresAway[] = trim($ligne);
			}
			if($nbOt > 0)
			{
				for($i=1;$i<=$nbOt;$i++)
				{
					$ligne = sautLigne(4,$monFichier);
					$tabScoresAway[] = trim($ligne);
				}
			}			
		}

		$cherche = 'ctl00_cphContent_bsResult_hlHomeTeamLink';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$teamHomeId = trim(substr($ligne, strpos($ligne, "y/")+2, strpos($ligne, "/overview")-strlen($ligne)));
			$teamHomeId = preg_replace("/[^0-9]/", "", $teamHomeId);
			$teamHomeName = trim(substr($ligne, strpos($ligne, '">')+2, strpos($ligne, "</a>")-strlen($ligne)));
			$teamHomeName = str_replace(" ","",$teamHomeName);

			for($i=1;$i<=4;$i++)
			{
				$ligne = sautLigne(4,$monFichier);
				$tabScoresHome[]= trim($ligne);
			}
			if($nbOt > 0)
			{
				for($i=1;$i<=$nbOt;$i++)
				{
					$ligne = sautLigne(4,$monFichier);
					$tabScoresHome[]= trim($ligne);
				}
			}
		}

		$cherche = 'ctl00_cphContent_BSMTR_imgHomeJersey';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$ligne = sautLigne(10,$monFichier);
			$offenseAway = trim($ligne);

			$ligne = sautLigne(6,$monFichier);
			$offenseHome = trim($ligne);

			$ligne = sautLigne(5,$monFichier);
			$defenseAway = trim($ligne);	

			$ligne = sautLigne(6,$monFichier);
			$defenseHome = trim($ligne);
		}

		$cherche = 'ctl00_cphContent_BSMTR_trGDP2';
		if(recherche($ligne,$cherche) == 'oui')
		{
                        $ligne = sautLigne(2,$monFichier);
			$focusAway = trim(substr($ligne, 0, strpos($ligne, "<img")));
			$focusAway = str_replace("-","",$focusAway);
		
			$ligne = sautLigne(6,$monFichier);
			$focusHome = trim(substr($ligne, strpos($ligne, '/>')+2, strlen($ligne)));
			$focusHome = str_replace("-","",$focusHome);

			$ligne = sautLigne(6,$monFichier);
			$paceAway = trim(substr($ligne, 0, strpos($ligne, "<img")));
			$paceAway = str_replace("-","",$paceAway);

			$ligne = sautLigne(6,$monFichier);
			$paceHome = trim(substr($ligne, strpos($ligne, '/>')+2, strlen($ligne)));
			$paceHome = str_replace("-","",$paceHome);
		}

		$cherche = 'ctl00_cphContent_BSMTR_OutScoreAway_linkDen';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$tabRetour = determineValeurScore($ligne);
			$outScoreLevelAway = $tabRetour[0];
			$outScoreSubLevelAway = $tabRetour[1];
		}

		$cherche = 'ctl00_cphContent_BSMTR_OutScoreHome_linkDen';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$tabRetour = determineValeurScore($ligne);
			$outScoreLevelHome = $tabRetour[0];
			$outScoreSubLevelHome = $tabRetour[1];
		}

		$cherche = 'ctl00_cphContent_BSMTR_InScoreAway_linkDen';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$tabRetour = determineValeurScore($ligne);
			$inScoreLevelAway = $tabRetour[0];
			$inScoreSubLevelAway = $tabRetour[1];
		}

		$cherche = 'ctl00_cphContent_BSMTR_InScoreHome_linkDen';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$tabRetour = determineValeurScore($ligne);
			$inScoreLevelHome = $tabRetour[0];
			$inScoreSubLevelHome = $tabRetour[1];
		}

		$cherche = 'ctl00_cphContent_BSMTR_OutDefAway_linkDen';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$tabRetour = determineValeurScore($ligne);
			$outDefLevelAway = $tabRetour[0];
			$outDefSubLevelAway = $tabRetour[1];
		}

		$cherche = 'ctl00_cphContent_BSMTR_OutDefHome_linkDen';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$tabRetour = determineValeurScore($ligne);
			$outDefLevelHome = $tabRetour[0];
			$outDefSubLevelHome = $tabRetour[1];
		}

		$cherche = 'ctl00_cphContent_BSMTR_InDefAway_linkDen';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$tabRetour = determineValeurScore($ligne);
			$inDefLevelAway = $tabRetour[0];
			$inDefSubLevelAway = $tabRetour[1];	
		}

		$cherche = 'ctl00_cphContent_BSMTR_InDefHome_linkDen';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$tabRetour = determineValeurScore($ligne);
			$inDefLevelHome = $tabRetour[0];
			$inDefSubLevelHome = $tabRetour[1];
		}

		$cherche = 'ctl00_cphContent_BSMTR_ReboundAway_linkDen';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$tabRetour = determineValeurScore($ligne);
			$rbLevelAway = $tabRetour[0];
			$rbSubLevelAway = $tabRetour[1];
		}

		$cherche = 'ctl00_cphContent_BSMTR_ReboundHome_linkDen';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$tabRetour = determineValeurScore($ligne);
			$rbLevelHome = $tabRetour[0];
			$rbSubLevelHome = $tabRetour[1];
		}

		$cherche = 'ctl00_cphContent_BSMTR_OffFlowAway_linkDen';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$tabRetour = determineValeurScore($ligne);
			$flowLevelAway = $tabRetour[0];
			$flowSubLevelAway = $tabRetour[1];
		}

		$cherche = 'ctl00_cphContent_BSMTR_OffFlowHome_linkDen';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$tabRetour = determineValeurScore($ligne);
			$flowLevelHome = $tabRetour[0];
			$flowSubLevelHome = $tabRetour[1];	
		}

		$cherche = 'ctl00_cphContent_BSMTR_Label1';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$ligne = sautLigne(18,$monFichier);
			$valLigne = str_replace(PHP_EOL, '', $ligne);
			$valLigne = preg_replace("/[^0-9.]/", "", $valLigne);
			$pp100PgAway = trim($valLigne);

			$ligne = sautLigne(21,$monFichier);
			$valLigne = str_replace(PHP_EOL, '', $ligne);
			$valLigne = preg_replace("/[^0-9.]/", "", $valLigne);
			$pp100PgHome = trim($valLigne);

			$ligne = sautLigne(20,$monFichier);
			$valLigne = str_replace(PHP_EOL, '', $ligne);
			$valLigne = preg_replace("/[^0-9.]/", "", $valLigne);
			$pp100SgAway = trim($valLigne);

			$ligne = sautLigne(21,$monFichier);
			$valLigne = str_replace(PHP_EOL, '', $ligne);
			$valLigne = preg_replace("/[^0-9.]/", "", $valLigne);
			$pp100SgHome = trim($valLigne);

			$ligne = sautLigne(20,$monFichier);
			$valLigne = str_replace(PHP_EOL, '', $ligne);
			$valLigne = preg_replace("/[^0-9.]/", "", $valLigne);
			$pp100SfAway = trim($valLigne);
			
			$ligne = sautLigne(21,$monFichier);
			$valLigne = str_replace(PHP_EOL, '', $ligne);
			$valLigne = preg_replace("/[^0-9.]/", "", $valLigne);
			$pp100SfHome = trim($valLigne);
			
			$ligne = sautLigne(20,$monFichier);
			$valLigne = str_replace(PHP_EOL, '', $ligne);
			$valLigne = preg_replace("/[^0-9.]/", "", $valLigne);
			$pp100PfAway = trim($valLigne);
			
			$ligne = sautLigne(21,$monFichier);
			$valLigne = str_replace(PHP_EOL, '', $ligne);
			$valLigne = preg_replace("/[^0-9.]/", "", $valLigne);
			$pp100PfHome = trim($valLigne);

			$ligne = sautLigne(20,$monFichier);
			$valLigne = str_replace(PHP_EOL, '', $ligne);
			$valLigne = preg_replace("/[^0-9.]/", "", $valLigne);
			$pp100CAway = trim($valLigne);

			$ligne = sautLigne(21,$monFichier);
			$valLigne = str_replace(PHP_EOL, '', $ligne);
			$valLigne = preg_replace("/[^0-9.]/", "", $valLigne);
			$pp100CHome = trim($valLigne); 
		}	

		$cherche = 'ctl00_cphContent_lblEffort';
		if(recherche($ligne,$cherche) == 'oui')
		{
			$effortText = substr($ligne, strpos($ligne, '">')+2, strpos($ligne, "</span>")-strlen($ligne));
			if($effortText == 'Both teams played at the same effort level.')
			{
				$effort = "a=h";
			}
			else
			{
				$tabEffort = explode('put more into this game than',$effortText);
				$teamEffortSup = trim(str_replace(" ","",$tabEffort[0]));
				if($teamEffortSup == $teamAwayName)
				{
					$effort = "a>h";
				}
				else
				{
					$effort = "a<h";
				}
			}
		}

		for($i=1;$i<=12;$i++)
		{
			$indiceJoueur = $i;
			if($indiceJoueur<10)
			{
				$indiceJoueur = '0'.$indiceJoueur;
			}
			$cherche = 'ctl00_cphContent_awayTeamBoxScore_Repeater1_ctl'.$indiceJoueur.'_tr';
			if(recherche($ligne,$cherche) == 'oui')
			{
				$ligne = sautLigne(2,$monFichier);
				$valPos = trim($ligne);
				if($valPos == '')
				{
					$valPos = null;
				}
				$tabPositionAway[] = $valPos;				

				$ligne = sautLigne(3,$monFichier);
				$bbId = substr($ligne, strpos($ligne, "player/")+7, strpos($ligne, "/overview")-strlen($ligne));
				$tabJoueursAway[] = trim($bbId);

				$ligne = sautLigne(1,$monFichier);
				$tabNameAway[] = trim($ligne);
		
				$ligne = sautLigne(1,$monFichier);

				foreach($tabTdStats as $id => $value)
				{
					$ligne = sautLigne(3,$monFichier);
					$arrayName = 'tab'.$value.'Away';
					$valLigne = str_replace(PHP_EOL, '', $ligne);
					$valLigne = preg_replace("/[^0-9-.+]/", "", $valLigne);
	
					if($valLigne == '-')
					{
						break;
					}
					else
					{
						$$arrayName[] = trim($valLigne);
					}
				}
			}

			$cherche = 'ctl00_cphContent_homeTeamBoxScore_Repeater1_ctl'.$indiceJoueur.'_tr';
			if(recherche($ligne,$cherche) == 'oui')
			{
				$ligne = sautLigne(2,$monFichier);
				$tabPositionHome[] = trim($ligne);

				$ligne = sautLigne(3,$monFichier);
				$bbId = substr($ligne, strpos($ligne, "player/")+7, strpos($ligne, "/overview")-strlen($ligne));
				$tabJoueursHome[] = trim($bbId);

				$ligne = sautLigne(1,$monFichier);
				$tabNameHome[] = trim($ligne);

				$ligne = sautLigne(1,$monFichier);

                                foreach($tabTdStats as $id => $value)
				{
                                	$ligne = sautLigne(3,$monFichier);
					$arrayName = 'tab'.$value.'Home';
					$valLigne = str_replace(PHP_EOL, '', $ligne);
                                        $valLigne = preg_replace("/[^0-9-.+]/", "", $valLigne); 

					if($valLigne == '-')
					{
						break;
					}
					else
					{
                                        	$$arrayName[] = trim($valLigne);
					}
				}
			}
		}
	}
	fclose($monFichier);
	unlink('match_'.$idMatch.'.txt');

	$tabRetour = array();

	$tabRetour['idMatch'] = $idMatch;
	$tabRetour['dateMatch'] = $dateMatch;

	$tabRetourEquipes = array();
	$tabTemp = array();
	$tabTemp['id'] = $teamAwayId;
	$tabTemp['name'] = $teamAwayName;
	$tabRetourEquipes['away'] = $tabTemp;
	$tabTemp = array();
	$tabTemp['id'] = $teamHomeId;
	$tabTemp['name'] = $teamHomeName;
	$tabRetourEquipes['home'] = $tabTemp;
	$tabRetour['teams'] = $tabRetourEquipes;

	$tabRetourScores = array();
	$tabRetourScores['away'] = $tabScoresAway;
	$tabRetourScores['home'] = $tabScoresHome;
	$tabRetour['scores'] = $tabRetourScores;

	$tabRetourStrategies = array();
	$tabTemp = array();
	$tabTemp['offense'] = $offenseAway;
	$tabTemp['defense'] = $defenseAway;
	$tabRetourStrategies['away'] = $tabTemp;
	$tabTemp = array();
	$tabTemp['offense'] = $offenseHome;
	$tabTemp['defense'] = $defenseHome;
	$tabRetourStrategies['home'] = $tabTemp;
	$tabRetour['strategies'] = $tabRetourStrategies;

	$tabRetourPam = array();
	$tabTemp = array();
	$tabTemp['focus'] = $focusAway;
	$tabTemp['pace'] = $paceAway;
	$tabRetourPam['away'] = $tabTemp;
	$tabTemp = array(); 
	$tabTemp['focus'] = $focusHome;
	$tabTemp['pace'] = $paceHome;
	$tabRetourPam['home'] = $tabTemp;
	$tabRetour['gameDayPrep'] = $tabRetourPam;

	$tabRetourNote = array();
	$tabTemp = array();
	$tabTempTemp = array();
	$tabTempTemp['level'] = $outScoreLevelAway;
	$tabTempTemp['subLevel'] = $outScoreSubLevelAway;
	$tabTemp['outsideScoring'] = $tabTempTemp;
	$tabTempTemp = array();
	$tabTempTemp['level'] = $inScoreLevelAway;
	$tabTempTemp['subLevel'] = $inScoreSubLevelAway;
	$tabTemp['insideScoring'] = $tabTempTemp;
	$tabTempTemp = array();
	$tabTempTemp['level'] = $outDefLevelAway;
	$tabTempTemp['subLevel'] = $outDefSubLevelAway;
	$tabTemp['perimeterDefense'] = $tabTempTemp;	
	$tabTempTemp = array();	
	$tabTempTemp['level'] = $inDefLevelAway;
	$tabTempTemp['subLevel'] = $inDefSubLevelAway;	
	$tabTemp['insideDefense'] = $tabTempTemp;
	$tabTempTemp = array();
	$tabTempTemp['level'] = $rbLevelAway;
	$tabTempTemp['subLevel'] = $rbSubLevelAway;
	$tabTemp['rebounding'] = $tabTempTemp;
	$tabTempTemp = array();
	$tabTempTemp['level'] = $flowLevelAway;
	$tabTempTemp['subLevel'] = $flowSubLevelAway;
	$tabTemp['offensiveFlow'] = $tabTempTemp;
	$tabRetourNote['away'] = $tabTemp;
	$tabTemp = array();
	$tabTempTemp = array();
        $tabTempTemp['level'] = $outScoreLevelHome;
	$tabTempTemp['subLevel'] = $outScoreSubLevelHome;
        $tabTemp['outsideScoring'] = $tabTempTemp;
        $tabTempTemp = array();
        $tabTempTemp['level'] = $inScoreLevelHome;
        $tabTempTemp['subLevel'] = $inScoreSubLevelHome;
	$tabTemp['insideScoring'] = $tabTempTemp;
        $tabTempTemp = array();
	$tabTempTemp['level'] = $outDefLevelHome;
        $tabTempTemp['subLevel'] = $outDefSubLevelHome;
        $tabTemp['perimeterDefense'] = $tabTempTemp;
	$tabTempTemp = array();                                                                                                                                                         
        $tabTempTemp['level'] = $inDefLevelHome;
	$tabTempTemp['subLevel'] = $inDefSubLevelHome;
        $tabTemp['insideDefense'] = $tabTempTemp;
        $tabTempTemp = array();                                                                                                                                                         
        $tabTempTemp['level'] = $rbLevelHome;                                                                                                                                           
        $tabTempTemp['subLevel'] = $rbSubLevelHome;                                                                                                                                     
        $tabTemp['rebounding'] = $tabTempTemp;
	$tabTempTemp = array();                                                                                                                                                         
        $tabTempTemp['level'] = $flowLevelHome;
        $tabTempTemp['subLevel'] = $flowSubLevelHome;                                                                                                                                   
        $tabTemp['offensiveFlow'] = $tabTempTemp;
        $tabRetourNote['home'] = $tabTemp;
	$tabRetour['gameNote'] = $tabRetourNote;

	$tabRetourPp100 = array();
	$tabTemp = array(); 
	$tabTemp['pg'] = $pp100PgAway;
	$tabTemp['sg'] = $pp100SgAway;
	$tabTemp['sf'] = $pp100SfAway;
	$tabTemp['pf'] = $pp100PfAway;
	$tabTemp['c'] = $pp100CAway;
	$tabRetourPp100['away'] = $tabTemp;
	$tabTemp = array();
	$tabTemp['pg'] = $pp100PgHome;
	$tabTemp['sg'] = $pp100SgHome;
	$tabTemp['sf'] = $pp100SfHome;
	$tabTemp['pf'] = $pp100PfHome;
	$tabTemp['c'] = $pp100CHome;
	$tabRetourPp100['home'] = $tabTemp;
	$tabRetour['pp100'] = $tabRetourPp100;
	
	$tabRetour['effort'] = $effort;

	$tabRetourJoueurs = array();
	$tabTemp = array();
	foreach($tabJoueursAway as $indice => $bbId)
	{
		$tabTempTemp = array();
		$tabTempTemp['bbId'] = $bbId;
		$tabTempTemp['name'] = $tabNameAway[$indice];
		$tabTempTemp['position'] = $tabPositionAway[$indice];
		foreach($tabTdStats as $id => $value)
		{
			$arrayName = 'tab'.$value.'Away';
			if($value == '3pts')
			{
				$value = 'threepts';
			}
			$tabTempTemp[strtolower($value)] = $$arrayName[$indice];
		}
		$tabTemp[] = $tabTempTemp;
	}
	$tabRetourJoueurs['away'] = $tabTemp;
	$tabTemp = array();
	foreach($tabJoueursHome as $indice => $bbId)
	{
		$tabTempTemp = array();
		$tabTempTemp['bbId'] = $bbId;
		$tabTempTemp['name'] = $tabNameHome[$indice];
		$tabTempTemp['position'] = $tabPositionHome[$indice];
		foreach($tabTdStats as $id => $value)
		{
			$arrayName = 'tab'.$value.'Home';
			if($value == '3pts')
			{
				$value = 'threepts';
			}
			$tabTempTemp[strtolower($value)] = $$arrayName[$indice];
		}
		$tabTemp[] = $tabTempTemp;
	}
	$tabRetourJoueurs['home'] = $tabTemp;
	$tabRetour['players'] = $tabRetourJoueurs;

	if($modeDebug == 'oui')
	{
		echo "<pre>";
		print_r($tabRetour);
		echo "</pre>";
	}
	else
	{
		header('Content-type: application/json'); 
		echo json_encode($tabRetour);
	}
?>
